from enum import Enum
from copy import deepcopy

class Team(Enum):
    火之国忍者 = 'FIRE_NINJA'
    风之国忍者 = 'WIND_NINJA'
    水之国忍者 = 'WATER_NINJA'
    土之国忍者 = 'EARTH_NINJA'
    雷之国忍者 = 'THUNDER_NINJA'
    晓 = 'AKATSUKI_NINJA'
    其他 = 'OTHER'

class TeamColor(Enum):
    BLACK = 'BLACK'
    DARK_BLUE = 'DARK_BLUE'
    DARK_GREEN = 'DARK_GREEN'
    DARK_AQUA = 'DARK_AQUA'
    DARK_RED = 'DARK_RED'

class NinjaType(Enum):
    带土 = 'minepython:obito'
    忍者 = 'minepython:ninja'
    医疗忍者 = 'minepython:medical_ninja'

class Command(Enum):
    STOP = 'stop'
    凤仙火 = 'Fire_PhoenixJutsu'
    爆风乱舞 = 'Fire_ExplosiveWindDanceJutsu'

class 槽位(Enum):
    快捷栏1 = 'hotbar.0'
    快捷栏2 = 'hotbar.1'
    快捷栏3 = 'hotbar.2'
    快捷栏4 = 'hotbar.3'
    快捷栏5 = 'hotbar.4'
    快捷栏6 = 'hotbar.5'
    快捷栏7 = 'hotbar.6'
    快捷栏8 = 'hotbar.7'
    快捷栏9 = 'hotbar.8'
    背包0 = 'inventory.0'
    背包1 = 'inventory.1'
    背包2 = 'inventory.2'
    背包3 = 'inventory.3'
    背包4 = 'inventory.4'
    背包5 = 'inventory.5'
    背包6 = 'inventory.6'
    背包7 = 'inventory.7'
    背包8 = 'inventory.8'
    背包9 = 'inventory.9'
    背包10 = 'inventory.10'
    背包11 = 'inventory.11'
    背包12 = 'inventory.12'
    背包13 = 'inventory.13'
    背包14 = 'inventory.14'
    背包15 = 'inventory.15'
    背包16 = 'inventory.16'
    背包17 = 'inventory.17'
    背包18 = 'inventory.18'
    背包19 = 'inventory.19'
    背包20 = 'inventory.20'
    背包21 = 'inventory.21'
    背包22 = 'inventory.22'
    背包23 = 'inventory.23'
    背包24 = 'inventory.24'
    背包25 = 'inventory.25'
    背包26 = 'inventory.26'
    pass

Slot = deepcopy(槽位)

class 方块(Enum):
    空气 = 'minecraft:air'
    石头 = 'minecraft:stone'
    花岗岩 = 'minecraft:granite'
    抛光花岗岩 = 'minecraft:polished_granite'
    闪长岩 = 'minecraft:diorite'
    抛光闪长岩 = 'minecraft:polished_diorite'
    安山岩 = 'minecraft:andesite'
    抛光安山岩 = 'minecraft:polished_andesite'
    草地 = 'minecraft:grass_block'
    泥土 = 'minecraft:dirt'
    粗泥 = 'minecraft:coarse_dirt'
    灰化土 = 'minecraft:podzol'
    圆石 = 'minecraft:cobblestone'
    橡木木板 = 'minecraft:oak_planks'
    杉木木板 = 'minecraft:spruce_planks'
    桦木木板 = 'minecraft:birch_planks'
    丛林木木板 = 'minecraft:jungle_planks'
    金合欢木木板 = 'minecraft:acacia_planks'
    黑橡木木板 = 'minecraft:dark_oak_planks'
    橡木树苗 = 'minecraft:oak_sapling'
    杉木树苗 = 'minecraft:spruce_sapling'
    桦木树苗 = 'minecraft:birch_sapling'
    丛林木树苗 = 'minecraft:jungle_sapling'
    金合欢木树苗 = 'minecraft:acacia_sapling'
    黑橡木树苗 = 'minecraft:dark_oak_sapling'
    基岩 = 'minecraft:bedrock'
    静态水 = 'minecraft:water'
    静态熔岩 = 'minecraft:lava'
    沙子 = 'minecraft:sand'
    红沙 = 'minecraft:red_sand'
    沙砾 = 'minecraft:gravel'
    金矿石 = 'minecraft:gold_ore'
    深板岩金矿石 = 'minecraft:deepslate_gold_ore'
    铁矿石 = 'minecraft:iron_ore'
    深层铁矿石 = 'minecraft:deepslate_iron_ore'
    煤矿石 = 'minecraft:coal_ore'
    深板岩煤矿石 = 'minecraft:deepslate_coal_ore'
    下界金矿石 = 'minecraft:nether_gold_ore'
    橡木原木 = 'minecraft:oak_log'
    杉木原木 = 'minecraft:spruce_log'
    桦木原木 = 'minecraft:birch_log'
    丛林木原木 = 'minecraft:jungle_log'
    金合欢木原木 = 'minecraft:acacia_log'
    黑橡木原木 = 'minecraft:dark_oak_log'
    去皮云杉原木 = 'minecraft:stripped_spruce_log'
    去皮白桦原木 = 'minecraft:stripped_birch_log'
    去皮丛林原木 = 'minecraft:stripped_jungle_log'
    去皮金合欢原木 = 'minecraft:stripped_acacia_log'
    去皮深色橡木原木 = 'minecraft:stripped_dark_oak_log'
    去皮橡木原木 = 'minecraft:stripped_oak_log'
    橡木块 = 'minecraft:oak_wood'
    杉木块 = 'minecraft:spruce_wood'
    桦木块 = 'minecraft:birch_wood'
    丛林木块 = 'minecraft:jungle_wood'
    金合欢木块 = 'minecraft:acacia_wood'
    黑橡木块 = 'minecraft:dark_oak_wood'
    剥皮橡木块 = 'minecraft:stripped_oak_wood'
    剥皮杉木块 = 'minecraft:stripped_spruce_wood'
    剥皮桦木块 = 'minecraft:stripped_birch_wood'
    剥皮丛林木块 = 'minecraft:stripped_jungle_wood'
    剥皮金合欢木块 = 'minecraft:stripped_acacia_wood'
    剥皮黑橡木块 = 'minecraft:stripped_dark_oak_wood'
    橡木树叶 = 'minecraft:oak_leaves'
    杉木树叶 = 'minecraft:spruce_leaves'
    桦木树叶 = 'minecraft:birch_leaves'
    丛林木树叶 = 'minecraft:jungle_leaves'
    金合欢木树叶 = 'minecraft:acacia_leaves'
    黑橡木树叶 = 'minecraft:dark_oak_leaves'
    杜鹃叶 = 'minecraft:azalea_leaves'
    开花的杜鹃叶 = 'minecraft:flowering_azalea_leaves'
    海绵 = 'minecraft:sponge'
    湿海绵 = 'minecraft:wet_sponge'
    玻璃 = 'minecraft:glass'
    青金石矿石 = 'minecraft:lapis_ore'
    深板岩青金石矿石 = 'minecraft:deepslate_lapis_ore'
    青金石块 = 'minecraft:lapis_block'
    发射器 = 'minecraft:dispenser'
    砂岩 = 'minecraft:sandstone'
    浮雕砂岩 = 'minecraft:chiseled_sandstone'
    凿制砂岩 = 'minecraft:cut_sandstone'
    音阶盒 = 'minecraft:note_block'
    白色床 = 'minecraft:white_bed'
    橙色床 = 'minecraft:orange_bed'
    洋红色床 = 'minecraft:magenta_bed'
    浅蓝色床 = 'minecraft:light_blue_bed'
    黄色床 = 'minecraft:yellow_bed'
    浅绿色床 = 'minecraft:lime_bed'
    粉红色床 = 'minecraft:pink_bed'
    灰色床 = 'minecraft:gray_bed'
    浅灰色床 = 'minecraft:light_gray_bed'
    青色床 = 'minecraft:cyan_bed'
    紫色床 = 'minecraft:purple_bed'
    蓝色床 = 'minecraft:blue_bed'
    棕色床 = 'minecraft:brown_bed'
    绿色床 = 'minecraft:green_bed'
    红色床 = 'minecraft:red_bed'
    黑色床 = 'minecraft:black_bed'
    动力铁轨 = 'minecraft:powered_rail'
    探测铁轨 = 'minecraft:detector_rail'
    黏性活塞 = 'minecraft:sticky_piston'
    蜘蛛网 = 'minecraft:cobweb'
    草方块 = 'minecraft:grass'
    蕨 = 'minecraft:fern'
    枯灌木 = 'minecraft:dead_bush'
    海草 = 'minecraft:seagrass'
    大型海草 = 'minecraft:tall_seagrass'
    活塞 = 'minecraft:piston'
    活塞臂 = 'minecraft:piston_head'
    白色羊毛 = 'minecraft:white_wool'
    橙色羊毛 = 'minecraft:orange_wool'
    洋红色羊毛 = 'minecraft:magenta_wool'
    浅蓝色羊毛 = 'minecraft:light_blue_wool'
    黄色羊毛 = 'minecraft:yellow_wool'
    浅绿色羊毛 = 'minecraft:lime_wool'
    粉红色羊毛 = 'minecraft:pink_wool'
    灰色羊毛 = 'minecraft:gray_wool'
    浅灰色羊毛 = 'minecraft:light_gray_wool'
    青色羊毛 = 'minecraft:cyan_wool'
    紫色羊毛 = 'minecraft:purple_wool'
    蓝色羊毛 = 'minecraft:blue_wool'
    棕色羊毛 = 'minecraft:brown_wool'
    绿色羊毛 = 'minecraft:green_wool'
    红色羊毛 = 'minecraft:red_wool'
    黑色羊毛 = 'minecraft:black_wool'
    移动中的活塞 = 'minecraft:moving_piston'
    蒲公英 = 'minecraft:dandelion'
    罂粟 = 'minecraft:poppy'
    蓝色蝴蝶兰 = 'minecraft:blue_orchid'
    紫红球花 = 'minecraft:allium'
    雏草 = 'minecraft:azure_bluet'
    红色郁金香 = 'minecraft:red_tulip'
    橙色郁金香 = 'minecraft:orange_tulip'
    白色郁金香 = 'minecraft:white_tulip'
    粉红色郁金香 = 'minecraft:pink_tulip'
    雏菊 = 'minecraft:oxeye_daisy'
    矢车菊 = 'minecraft:cornflower'
    凋零玫瑰 = 'minecraft:wither_rose'
    铃兰 = 'minecraft:lily_of_the_valley'
    棕色蘑菇 = 'minecraft:brown_mushroom'
    红色蘑菇 = 'minecraft:red_mushroom'
    金块 = 'minecraft:gold_block'
    铁块 = 'minecraft:iron_block'
    红砖 = 'minecraft:bricks'
    TNT = 'minecraft:tnt'
    书架 = 'minecraft:bookshelf'
    苔石 = 'minecraft:mossy_cobblestone'
    黑曜石 = 'minecraft:obsidian'
    火把 = 'minecraft:torch'
    墙上的火把 = 'minecraft:wall_torch'
    火 = 'minecraft:fire'
    灵魂火 = 'minecraft:soul_fire'
    生怪砖 = 'minecraft:spawner'
    橡木楼梯 = 'minecraft:oak_stairs'
    箱子 = 'minecraft:chest'
    红石线 = 'minecraft:redstone_wire'
    钻石矿石 = 'minecraft:diamond_ore'
    深板岩钻石矿石 = 'minecraft:deepslate_diamond_ore'
    钻石块 = 'minecraft:diamond_block'
    工作台 = 'minecraft:crafting_table'
    小麦 = 'minecraft:wheat'
    耕地 = 'minecraft:farmland'
    熔炉 = 'minecraft:furnace'
    橡木告示牌 = 'minecraft:oak_sign'
    云杉木告示牌 = 'minecraft:spruce_sign'
    白桦木告示牌 = 'minecraft:birch_sign'
    金合欢木告示牌 = 'minecraft:acacia_sign'
    丛林木告示牌 = 'minecraft:jungle_sign'
    黑橡木告示牌 = 'minecraft:dark_oak_sign'
    橡木门 = 'minecraft:oak_door'
    梯子 = 'minecraft:ladder'
    铁轨 = 'minecraft:rail'
    圆石阶梯 = 'minecraft:cobblestone_stairs'
    墙上的橡木告示牌 = 'minecraft:oak_wall_sign'
    墙上的云杉木告示牌 = 'minecraft:spruce_wall_sign'
    墙上的白桦木告示牌 = 'minecraft:birch_wall_sign'
    墙上的金合欢木告示牌 = 'minecraft:acacia_wall_sign'
    墙上的丛林木告示牌 = 'minecraft:jungle_wall_sign'
    墙上的黑橡木告示牌 = 'minecraft:dark_oak_wall_sign'
    拉杆 = 'minecraft:lever'
    石质压力板 = 'minecraft:stone_pressure_plate'
    铁门 = 'minecraft:iron_door'
    橡木压力板 = 'minecraft:oak_pressure_plate'
    云杉木压力板 = 'minecraft:spruce_pressure_plate'
    白桦木压力板 = 'minecraft:birch_pressure_plate'
    丛林木压力板 = 'minecraft:jungle_pressure_plate'
    金合欢木压力板 = 'minecraft:acacia_pressure_plate'
    深色橡木压力板 = 'minecraft:dark_oak_pressure_plate'
    红石矿石 = 'minecraft:redstone_ore'
    深板岩红石矿石 = 'minecraft:deepslate_redstone_ore'
    红石火把 = 'minecraft:redstone_torch'
    墙上的红石火把 = 'minecraft:redstone_wall_torch'
    石质按钮 = 'minecraft:stone_button'
    雪 = 'minecraft:snow'
    冰 = 'minecraft:ice'
    雪块 = 'minecraft:snow_block'
    仙人掌 = 'minecraft:cactus'
    黏土块 = 'minecraft:clay'
    甘蔗 = 'minecraft:sugar_cane'
    唱片机 = 'minecraft:jukebox'
    橡木栅栏 = 'minecraft:oak_fence'
    南瓜 = 'minecraft:pumpkin'
    下界岩 = 'minecraft:netherrack'
    灵魂沙 = 'minecraft:soul_sand'
    灵魂土 = 'minecraft:soul_soil'
    玄武岩 = 'minecraft:basalt'
    磨制玄武岩 = 'minecraft:polished_basalt'
    灵魂火把 = 'minecraft:soul_torch'
    墙上的灵魂火把 = 'minecraft:soul_wall_torch'
    荧石 = 'minecraft:glowstone'
    下界传送门 = 'minecraft:nether_portal'
    雕刻过的南瓜 = 'minecraft:carved_pumpkin'
    南瓜灯 = 'minecraft:jack_o_lantern'
    蛋糕 = 'minecraft:cake'
    红石中继器 = 'minecraft:repeater'
    白色玻璃 = 'minecraft:white_stained_glass'
    橙色玻璃 = 'minecraft:orange_stained_glass'
    洋红色玻璃 = 'minecraft:magenta_stained_glass'
    浅蓝色玻璃 = 'minecraft:light_blue_stained_glass'
    黄色玻璃 = 'minecraft:yellow_stained_glass'
    浅绿色玻璃 = 'minecraft:lime_stained_glass'
    粉红色玻璃 = 'minecraft:pink_stained_glass'
    灰色玻璃 = 'minecraft:gray_stained_glass'
    浅灰色玻璃 = 'minecraft:light_gray_stained_glass'
    青色玻璃 = 'minecraft:cyan_stained_glass'
    紫色玻璃 = 'minecraft:purple_stained_glass'
    蓝色玻璃 = 'minecraft:blue_stained_glass'
    棕色玻璃 = 'minecraft:brown_stained_glass'
    绿色玻璃 = 'minecraft:green_stained_glass'
    红色玻璃 = 'minecraft:red_stained_glass'
    黑色玻璃 = 'minecraft:black_stained_glass'
    橡木地板门 = 'minecraft:oak_trapdoor'
    云杉木活板门 = 'minecraft:spruce_trapdoor'
    白桦木活板门 = 'minecraft:birch_trapdoor'
    丛林木活板门 = 'minecraft:jungle_trapdoor'
    金合欢木活板门 = 'minecraft:acacia_trapdoor'
    深色橡木活板门 = 'minecraft:dark_oak_trapdoor'
    石砖 = 'minecraft:stone_bricks'
    青苔石砖 = 'minecraft:mossy_stone_bricks'
    裂纹石砖 = 'minecraft:cracked_stone_bricks'
    浮雕石砖 = 'minecraft:chiseled_stone_bricks'
    蛀蚀的石头 = 'minecraft:infested_stone'
    蛀蚀的圆石 = 'minecraft:infested_cobblestone'
    蛀蚀的石砖 = 'minecraft:infested_stone_bricks'
    蛀蚀的青苔石砖 = 'minecraft:infested_mossy_stone_bricks'
    蛀蚀的裂纹石砖 = 'minecraft:infested_cracked_stone_bricks'
    蛀蚀的浮雕石砖 = 'minecraft:infested_chiseled_stone_bricks'
    棕色蘑菇方块 = 'minecraft:brown_mushroom_block'
    红色蘑菇方块 = 'minecraft:red_mushroom_block'
    蘑菇柄 = 'minecraft:mushroom_stem'
    铁栏杆 = 'minecraft:iron_bars'
    锁链 = 'minecraft:chain'
    玻璃板 = 'minecraft:glass_pane'
    西瓜 = 'minecraft:melon'
    连接的南瓜梗 = 'minecraft:attached_pumpkin_stem'
    连接的西瓜梗 = 'minecraft:attached_melon_stem'
    南瓜梗 = 'minecraft:pumpkin_stem'
    西瓜梗 = 'minecraft:melon_stem'
    藤蔓 = 'minecraft:vine'
    发光地衣 = 'minecraft:glow_lichen'
    橡木栅栏门 = 'minecraft:oak_fence_gate'
    砖楼梯 = 'minecraft:brick_stairs'
    石砖楼梯 = 'minecraft:stone_brick_stairs'
    菌丝 = 'minecraft:mycelium'
    荷叶 = 'minecraft:lily_pad'
    下界砖 = 'minecraft:nether_bricks'
    下界砖栅栏 = 'minecraft:nether_brick_fence'
    下界砖楼梯 = 'minecraft:nether_brick_stairs'
    下界疣 = 'minecraft:nether_wart'
    附魔台 = 'minecraft:enchanting_table'
    酿造台 = 'minecraft:brewing_stand'
    炼药锅 = 'minecraft:cauldron'
    装水的锅釜 = 'minecraft:water_cauldron'
    装有熔岩的炼药锅 = 'minecraft:lava_cauldron'
    装粉雪的锅釜 = 'minecraft:powder_snow_cauldron'
    末地传送门方块 = 'minecraft:end_portal'
    末地传送门框架 = 'minecraft:end_portal_frame'
    末地石 = 'minecraft:end_stone'
    龙蛋 = 'minecraft:dragon_egg'
    红石灯未开启 = 'minecraft:redstone_lamp'
    可可果 = 'minecraft:cocoa'
    砂岩楼梯 = 'minecraft:sandstone_stairs'
    绿宝石矿石 = 'minecraft:emerald_ore'
    深板岩绿宝石矿石 = 'minecraft:deepslate_emerald_ore'
    末影箱 = 'minecraft:ender_chest'
    绊线钩 = 'minecraft:tripwire_hook'
    绊线 = 'minecraft:tripwire'
    绿宝石块 = 'minecraft:emerald_block'
    云杉木楼梯 = 'minecraft:spruce_stairs'
    白桦木楼梯 = 'minecraft:birch_stairs'
    丛林木楼梯 = 'minecraft:jungle_stairs'
    脉冲型命令方块 = 'minecraft:command_block'
    信标 = 'minecraft:beacon'
    圆石墙 = 'minecraft:cobblestone_wall'
    青苔圆石墙 = 'minecraft:mossy_cobblestone_wall'
    花盆 = 'minecraft:flower_pot'
    橡木树苗盆栽 = 'minecraft:potted_oak_sapling'
    杉木树苗盆栽 = 'minecraft:potted_spruce_sapling'
    桦木树苗盆栽 = 'minecraft:potted_birch_sapling'
    丛林木树苗盆栽 = 'minecraft:potted_jungle_sapling'
    金合欢木树苗盆栽 = 'minecraft:potted_acacia_sapling'
    黑橡木树苗盆栽 = 'minecraft:potted_dark_oak_sapling'
    蕨类盆栽 = 'minecraft:potted_fern'
    蒲公英盆栽 = 'minecraft:potted_dandelion'
    罂粟盆栽 = 'minecraft:potted_poppy'
    蓝色蝴蝶兰盆栽 = 'minecraft:potted_blue_orchid'
    紫红球花盆栽 = 'minecraft:potted_allium'
    雏草盆栽 = 'minecraft:potted_azure_bluet'
    红色郁金香盆栽 = 'minecraft:potted_red_tulip'
    橙色郁金香盆栽 = 'minecraft:potted_orange_tulip'
    白色郁金香盆栽 = 'minecraft:potted_white_tulip'
    粉红色郁金香盆栽 = 'minecraft:potted_pink_tulip'
    雏菊盆栽 = 'minecraft:potted_oxeye_daisy'
    矢车菊盆栽 = 'minecraft:potted_cornflower'
    铃兰盆栽 = 'minecraft:potted_lily_of_the_valley'
    凋零玫瑰盆栽 = 'minecraft:potted_wither_rose'
    红色蘑菇盆栽 = 'minecraft:potted_red_mushroom'
    棕色蘑菇盆栽 = 'minecraft:potted_brown_mushroom'
    枯灌木盆栽 = 'minecraft:potted_dead_bush'
    仙人掌盆栽 = 'minecraft:potted_cactus'
    胡萝卜 = 'minecraft:carrots'
    马铃薯 = 'minecraft:potatoes'
    橡木按钮 = 'minecraft:oak_button'
    云杉木按钮 = 'minecraft:spruce_button'
    白桦木按钮 = 'minecraft:birch_button'
    丛林木按钮 = 'minecraft:jungle_button'
    金合欢木按钮 = 'minecraft:acacia_button'
    深色橡木按钮 = 'minecraft:dark_oak_button'
    骷髅头颅 = 'minecraft:skeleton_skull'
    墙上的骷髅头颅 = 'minecraft:skeleton_wall_skull'
    凋零骷髅头颅 = 'minecraft:wither_skeleton_skull'
    墙上的凋零骷髅头颅 = 'minecraft:wither_skeleton_wall_skull'
    僵尸头颅 = 'minecraft:zombie_head'
    墙上的僵尸头颅 = 'minecraft:zombie_wall_head'
    玩家头颅 = 'minecraft:player_head'
    墙上的玩家头颅 = 'minecraft:player_wall_head'
    苦力怕头颅 = 'minecraft:creeper_head'
    墙上的苦力怕头颅 = 'minecraft:creeper_wall_head'
    龙首 = 'minecraft:dragon_head'
    墙上的龙首 = 'minecraft:dragon_wall_head'
    铁砧 = 'minecraft:anvil'
    微损的铁砧 = 'minecraft:chipped_anvil'
    耗损的铁砧 = 'minecraft:damaged_anvil'
    陷阱箱 = 'minecraft:trapped_chest'
    测重压力板轻质 = 'minecraft:light_weighted_pressure_plate'
    测重压力板重质 = 'minecraft:heavy_weighted_pressure_plate'
    红石比较器 = 'minecraft:comparator'
    阳光探测器 = 'minecraft:daylight_detector'
    红石块 = 'minecraft:redstone_block'
    下界石英矿石 = 'minecraft:nether_quartz_ore'
    漏斗 = 'minecraft:hopper'
    石英块 = 'minecraft:quartz_block'
    浮雕石英方块 = 'minecraft:chiseled_quartz_block'
    石英柱 = 'minecraft:quartz_pillar'
    石英楼梯 = 'minecraft:quartz_stairs'
    激活铁轨 = 'minecraft:activator_rail'
    投掷器 = 'minecraft:dropper'
    白色陶土 = 'minecraft:white_terracotta'
    橙色陶土 = 'minecraft:orange_terracotta'
    洋红色陶土 = 'minecraft:magenta_terracotta'
    浅蓝色陶土 = 'minecraft:light_blue_terracotta'
    黄色陶土 = 'minecraft:yellow_terracotta'
    浅绿色陶土 = 'minecraft:lime_terracotta'
    粉红色陶土 = 'minecraft:pink_terracotta'
    灰色陶土 = 'minecraft:gray_terracotta'
    浅灰色陶土 = 'minecraft:light_gray_terracotta'
    青色陶土 = 'minecraft:cyan_terracotta'
    紫色陶土 = 'minecraft:purple_terracotta'
    蓝色陶土 = 'minecraft:blue_terracotta'
    棕色陶土 = 'minecraft:brown_terracotta'
    绿色陶土 = 'minecraft:green_terracotta'
    红色陶土 = 'minecraft:red_terracotta'
    黑色陶土 = 'minecraft:black_terracotta'
    白色玻璃片 = 'minecraft:white_stained_glass_pane'
    橙色玻璃片 = 'minecraft:orange_stained_glass_pane'
    洋红色玻璃片 = 'minecraft:magenta_stained_glass_pane'
    浅蓝色玻璃片 = 'minecraft:light_blue_stained_glass_pane'
    黄色玻璃片 = 'minecraft:yellow_stained_glass_pane'
    浅绿色玻璃片 = 'minecraft:lime_stained_glass_pane'
    粉红色玻璃片 = 'minecraft:pink_stained_glass_pane'
    灰色玻璃片 = 'minecraft:gray_stained_glass_pane'
    浅灰色玻璃片 = 'minecraft:light_gray_stained_glass_pane'
    青色玻璃片 = 'minecraft:cyan_stained_glass_pane'
    紫色玻璃片 = 'minecraft:purple_stained_glass_pane'
    蓝色玻璃片 = 'minecraft:blue_stained_glass_pane'
    棕色玻璃片 = 'minecraft:brown_stained_glass_pane'
    绿色玻璃片 = 'minecraft:green_stained_glass_pane'
    红色玻璃片 = 'minecraft:red_stained_glass_pane'
    黑色玻璃片 = 'minecraft:black_stained_glass_pane'
    金合欢木楼梯 = 'minecraft:acacia_stairs'
    深色橡木楼梯 = 'minecraft:dark_oak_stairs'
    史莱姆方块 = 'minecraft:slime_block'
    屏障 = 'minecraft:barrier'
    光源 = 'minecraft:light'
    铁活板门 = 'minecraft:iron_trapdoor'
    海晶石 = 'minecraft:prismarine'
    海磷石砖 = 'minecraft:prismarine_bricks'
    暗海磷石 = 'minecraft:dark_prismarine'
    海晶石楼梯 = 'minecraft:prismarine_stairs'
    海磷石砖阶梯 = 'minecraft:prismarine_brick_stairs'
    暗海晶石楼梯 = 'minecraft:dark_prismarine_stairs'
    海磷石台阶 = 'minecraft:prismarine_slab'
    海磷石砖台阶 = 'minecraft:prismarine_brick_slab'
    暗海磷石台阶 = 'minecraft:dark_prismarine_slab'
    海灯笼 = 'minecraft:sea_lantern'
    干草块 = 'minecraft:hay_block'
    白色地毯 = 'minecraft:white_carpet'
    橙色地毯 = 'minecraft:orange_carpet'
    洋红色地毯 = 'minecraft:magenta_carpet'
    浅蓝色地毯 = 'minecraft:light_blue_carpet'
    黄色地毯 = 'minecraft:yellow_carpet'
    浅绿色地毯 = 'minecraft:lime_carpet'
    粉红色地毯 = 'minecraft:pink_carpet'
    灰色地毯 = 'minecraft:gray_carpet'
    浅灰色地毯 = 'minecraft:light_gray_carpet'
    青色地毯 = 'minecraft:cyan_carpet'
    紫色地毯 = 'minecraft:purple_carpet'
    蓝色地毯 = 'minecraft:blue_carpet'
    棕色地毯 = 'minecraft:brown_carpet'
    绿色地毯 = 'minecraft:green_carpet'
    红色地毯 = 'minecraft:red_carpet'
    黑色地毯 = 'minecraft:black_carpet'
    陶土 = 'minecraft:terracotta'
    煤炭块 = 'minecraft:coal_block'
    浮冰 = 'minecraft:packed_ice'
    向日葵 = 'minecraft:sunflower'
    紫丁香 = 'minecraft:lilac'
    玫瑰丛 = 'minecraft:rose_bush'
    牡丹花 = 'minecraft:peony'
    芒草 = 'minecraft:tall_grass'
    大型蕨类 = 'minecraft:large_fern'
    白色旗帜 = 'minecraft:white_banner'
    橙色旗帜 = 'minecraft:orange_banner'
    洋红色旗帜 = 'minecraft:magenta_banner'
    浅蓝色旗帜 = 'minecraft:light_blue_banner'
    黄色旗帜 = 'minecraft:yellow_banner'
    浅绿色旗帜 = 'minecraft:lime_banner'
    粉红色旗帜 = 'minecraft:pink_banner'
    灰色旗帜 = 'minecraft:gray_banner'
    浅灰色旗帜 = 'minecraft:light_gray_banner'
    青色旗帜 = 'minecraft:cyan_banner'
    紫色旗帜 = 'minecraft:purple_banner'
    蓝色旗帜 = 'minecraft:blue_banner'
    棕色旗帜 = 'minecraft:brown_banner'
    绿色旗帜 = 'minecraft:green_banner'
    红色旗帜 = 'minecraft:red_banner'
    黑色旗帜 = 'minecraft:black_banner'
    墙上的白色旗帜 = 'minecraft:white_wall_banner'
    墙上的橙色旗帜 = 'minecraft:orange_wall_banner'
    墙上的洋红色旗帜 = 'minecraft:magenta_wall_banner'
    墙上的浅蓝色旗帜 = 'minecraft:light_blue_wall_banner'
    墙上的黄色旗帜 = 'minecraft:yellow_wall_banner'
    墙上的浅绿色旗帜 = 'minecraft:lime_wall_banner'
    墙上的粉红色旗帜 = 'minecraft:pink_wall_banner'
    墙上的灰色旗帜 = 'minecraft:gray_wall_banner'
    墙上的浅灰色旗帜 = 'minecraft:light_gray_wall_banner'
    墙上的青色旗帜 = 'minecraft:cyan_wall_banner'
    墙上的紫色旗帜 = 'minecraft:purple_wall_banner'
    墙上的蓝色旗帜 = 'minecraft:blue_wall_banner'
    墙上的棕色旗帜 = 'minecraft:brown_wall_banner'
    墙上的绿色旗帜 = 'minecraft:green_wall_banner'
    墙上的红色旗帜 = 'minecraft:red_wall_banner'
    墙上的黑色旗帜 = 'minecraft:black_wall_banner'
    红砂岩 = 'minecraft:red_sandstone'
    浮雕红砂岩 = 'minecraft:chiseled_red_sandstone'
    凿制红砂岩 = 'minecraft:cut_red_sandstone'
    红砂岩楼梯 = 'minecraft:red_sandstone_stairs'
    橡木台阶 = 'minecraft:oak_slab'
    杉木台阶 = 'minecraft:spruce_slab'
    桦木台阶 = 'minecraft:birch_slab'
    丛林木台阶 = 'minecraft:jungle_slab'
    金合欢木台阶 = 'minecraft:acacia_slab'
    黑橡木台阶 = 'minecraft:dark_oak_slab'
    苔石砖台阶 = 'minecraft:stone_slab'
    平滑石台阶 = 'minecraft:smooth_stone_slab'
    砂岩台阶 = 'minecraft:sandstone_slab'
    凿制砂岩台阶 = 'minecraft:cut_sandstone_slab'
    石化橡木台阶 = 'minecraft:petrified_oak_slab'
    圆石台阶 = 'minecraft:cobblestone_slab'
    红砖台阶 = 'minecraft:brick_slab'
    石砖台阶 = 'minecraft:stone_brick_slab'
    下界砖台阶 = 'minecraft:nether_brick_slab'
    石英台阶 = 'minecraft:quartz_slab'
    红砂岩台阶 = 'minecraft:red_sandstone_slab'
    凿制红砂岩台阶 = 'minecraft:cut_red_sandstone_slab'
    紫珀砖台阶 = 'minecraft:purpur_slab'
    平滑石头 = 'minecraft:smooth_stone'
    平滑砂岩 = 'minecraft:smooth_sandstone'
    平滑石英方块 = 'minecraft:smooth_quartz'
    平滑红砂岩 = 'minecraft:smooth_red_sandstone'
    云杉木栅栏门 = 'minecraft:spruce_fence_gate'
    白桦木栅栏门 = 'minecraft:birch_fence_gate'
    丛林木栅栏门 = 'minecraft:jungle_fence_gate'
    金合欢木栅栏门 = 'minecraft:acacia_fence_gate'
    深色橡木栅栏门 = 'minecraft:dark_oak_fence_gate'
    杉木栅栏 = 'minecraft:spruce_fence'
    桦木栅栏 = 'minecraft:birch_fence'
    丛林木栅栏 = 'minecraft:jungle_fence'
    金合欢木栅栏 = 'minecraft:acacia_fence'
    黑橡木栅栏 = 'minecraft:dark_oak_fence'
    云杉木门 = 'minecraft:spruce_door'
    白桦木门 = 'minecraft:birch_door'
    丛林木门 = 'minecraft:jungle_door'
    金合欢木门 = 'minecraft:acacia_door'
    深色橡木门 = 'minecraft:dark_oak_door'
    末地烛 = 'minecraft:end_rod'
    紫颂植株 = 'minecraft:chorus_plant'
    紫颂花 = 'minecraft:chorus_flower'
    紫珀块 = 'minecraft:purpur_block'
    紫珀柱 = 'minecraft:purpur_pillar'
    紫珀楼梯 = 'minecraft:purpur_stairs'
    末地石砖 = 'minecraft:end_stone_bricks'
    甜菜根 = 'minecraft:beetroots'
    土径 = 'minecraft:dirt_path'
    末地折跃门方块 = 'minecraft:end_gateway'
    循环型命令方块 = 'minecraft:repeating_command_block'
    连锁型命令方块 = 'minecraft:chain_command_block'
    霜冰 = 'minecraft:frosted_ice'
    岩浆块 = 'minecraft:magma_block'
    下界疣块 = 'minecraft:nether_wart_block'
    红色下界砖 = 'minecraft:red_nether_bricks'
    骨块 = 'minecraft:bone_block'
    结构空位 = 'minecraft:structure_void'
    侦测器 = 'minecraft:observer'
    潜影盒 = 'minecraft:shulker_box'
    白色潜影盒 = 'minecraft:white_shulker_box'
    橙色潜影盒 = 'minecraft:orange_shulker_box'
    洋红色潜影盒 = 'minecraft:magenta_shulker_box'
    浅蓝色潜影盒 = 'minecraft:light_blue_shulker_box'
    黄色潜影盒 = 'minecraft:yellow_shulker_box'
    浅绿色潜影盒 = 'minecraft:lime_shulker_box'
    粉红色潜影盒 = 'minecraft:pink_shulker_box'
    灰色潜影盒 = 'minecraft:gray_shulker_box'
    浅灰色潜影盒 = 'minecraft:light_gray_shulker_box'
    青色潜影盒 = 'minecraft:cyan_shulker_box'
    紫色潜影盒 = 'minecraft:purple_shulker_box'
    蓝色潜影盒 = 'minecraft:blue_shulker_box'
    棕色潜影盒 = 'minecraft:brown_shulker_box'
    绿色潜影盒 = 'minecraft:green_shulker_box'
    红色潜影盒 = 'minecraft:red_shulker_box'
    黑色潜影盒 = 'minecraft:black_shulker_box'
    白色带釉陶瓦 = 'minecraft:white_glazed_terracotta'
    橙色带釉陶瓦 = 'minecraft:orange_glazed_terracotta'
    品红色带釉陶瓦 = 'minecraft:magenta_glazed_terracotta'
    淡蓝色带釉陶瓦 = 'minecraft:light_blue_glazed_terracotta'
    黄色带釉陶瓦 = 'minecraft:yellow_glazed_terracotta'
    黄绿色带釉陶瓦 = 'minecraft:lime_glazed_terracotta'
    粉红色带釉陶瓦 = 'minecraft:pink_glazed_terracotta'
    灰色带釉陶瓦 = 'minecraft:gray_glazed_terracotta'
    浅灰色釉陶 = 'minecraft:light_gray_glazed_terracotta'
    青色带釉陶瓦 = 'minecraft:cyan_glazed_terracotta'
    紫色带釉陶瓦 = 'minecraft:purple_glazed_terracotta'
    蓝色带釉陶瓦 = 'minecraft:blue_glazed_terracotta'
    棕色带釉陶瓦 = 'minecraft:brown_glazed_terracotta'
    绿色带釉陶瓦 = 'minecraft:green_glazed_terracotta'
    红色带釉陶瓦 = 'minecraft:red_glazed_terracotta'
    黑色带釉陶瓦 = 'minecraft:black_glazed_terracotta'
    白色混凝土 = 'minecraft:white_concrete'
    橙色混凝土 = 'minecraft:orange_concrete'
    洋红色混凝土 = 'minecraft:magenta_concrete'
    浅蓝色混凝土 = 'minecraft:light_blue_concrete'
    黄色混凝土 = 'minecraft:yellow_concrete'
    浅绿色混凝土 = 'minecraft:lime_concrete'
    粉红色混凝土 = 'minecraft:pink_concrete'
    灰色混凝土 = 'minecraft:gray_concrete'
    浅灰色混凝土 = 'minecraft:light_gray_concrete'
    青色混凝土 = 'minecraft:cyan_concrete'
    紫色混凝土 = 'minecraft:purple_concrete'
    蓝色混凝土 = 'minecraft:blue_concrete'
    棕色混凝土 = 'minecraft:brown_concrete'
    绿色混凝土 = 'minecraft:green_concrete'
    红色混凝土 = 'minecraft:red_concrete'
    黑色混凝土 = 'minecraft:black_concrete'
    白色混凝土粉末 = 'minecraft:white_concrete_powder'
    橙色混凝土粉末 = 'minecraft:orange_concrete_powder'
    洋红色混凝土粉末 = 'minecraft:magenta_concrete_powder'
    浅蓝色混凝土粉末 = 'minecraft:light_blue_concrete_powder'
    黄色混凝土粉末 = 'minecraft:yellow_concrete_powder'
    浅绿色混凝土粉末 = 'minecraft:lime_concrete_powder'
    粉红色混凝土粉末 = 'minecraft:pink_concrete_powder'
    灰色混凝土粉末 = 'minecraft:gray_concrete_powder'
    浅灰色混凝土粉末 = 'minecraft:light_gray_concrete_powder'
    青色混凝土粉末 = 'minecraft:cyan_concrete_powder'
    紫色混凝土粉末 = 'minecraft:purple_concrete_powder'
    蓝色混凝土粉末 = 'minecraft:blue_concrete_powder'
    棕色混凝土粉末 = 'minecraft:brown_concrete_powder'
    绿色混凝土粉末 = 'minecraft:green_concrete_powder'
    红色混凝土粉末 = 'minecraft:red_concrete_powder'
    黑色混凝土粉末 = 'minecraft:black_concrete_powder'
    海带 = 'minecraft:kelp_plant'
    干海带块 = 'minecraft:dried_kelp_block'
    海龟蛋 = 'minecraft:turtle_egg'
    死亡的管珊瑚方块 = 'minecraft:dead_tube_coral_block'
    死亡的脑珊瑚方块 = 'minecraft:dead_brain_coral_block'
    死亡的气泡珊瑚方块 = 'minecraft:dead_bubble_coral_block'
    死亡的火珊瑚方块 = 'minecraft:dead_fire_coral_block'
    死亡的角珊瑚方块 = 'minecraft:dead_horn_coral_block'
    管珊瑚方块 = 'minecraft:tube_coral_block'
    脑珊瑚方块 = 'minecraft:brain_coral_block'
    气泡珊瑚方块 = 'minecraft:bubble_coral_block'
    火珊瑚方块 = 'minecraft:fire_coral_block'
    角珊瑚方块 = 'minecraft:horn_coral_block'
    死亡的管珊瑚 = 'minecraft:dead_tube_coral'
    死亡的脑珊瑚 = 'minecraft:dead_brain_coral'
    死亡的气泡珊瑚 = 'minecraft:dead_bubble_coral'
    死亡的火珊瑚 = 'minecraft:dead_fire_coral'
    死亡的角珊瑚 = 'minecraft:dead_horn_coral'
    管珊瑚 = 'minecraft:tube_coral'
    脑珊瑚 = 'minecraft:brain_coral'
    气泡珊瑚 = 'minecraft:bubble_coral'
    火珊瑚 = 'minecraft:fire_coral'
    角珊瑚 = 'minecraft:horn_coral'
    死亡的扇状管珊瑚 = 'minecraft:dead_tube_coral_fan'
    死亡的扇状脑珊瑚 = 'minecraft:dead_brain_coral_fan'
    死亡的扇状气泡珊瑚 = 'minecraft:dead_bubble_coral_fan'
    死亡的扇状火珊瑚 = 'minecraft:dead_fire_coral_fan'
    死亡的扇状角珊瑚 = 'minecraft:dead_horn_coral_fan'
    扇状管珊瑚 = 'minecraft:tube_coral_fan'
    扇状脑珊瑚 = 'minecraft:brain_coral_fan'
    扇状气泡珊瑚 = 'minecraft:bubble_coral_fan'
    扇状火珊瑚 = 'minecraft:fire_coral_fan'
    扇状角珊瑚 = 'minecraft:horn_coral_fan'
    墙上死亡的扇状管珊瑚 = 'minecraft:dead_tube_coral_wall_fan'
    墙上死亡的扇状脑珊瑚 = 'minecraft:dead_brain_coral_wall_fan'
    墙上死亡的扇状气泡珊瑚 = 'minecraft:dead_bubble_coral_wall_fan'
    墙上死亡的扇状火珊瑚 = 'minecraft:dead_fire_coral_wall_fan'
    墙上死亡的扇状角珊瑚 = 'minecraft:dead_horn_coral_wall_fan'
    墙上的扇状管珊瑚 = 'minecraft:tube_coral_wall_fan'
    墙上的扇状脑珊瑚 = 'minecraft:brain_coral_wall_fan'
    墙上的扇状气泡珊瑚 = 'minecraft:bubble_coral_wall_fan'
    墙上的扇状火珊瑚 = 'minecraft:fire_coral_wall_fan'
    墙上的扇状角珊瑚 = 'minecraft:horn_coral_wall_fan'
    海泡菜 = 'minecraft:sea_pickle'
    蓝冰 = 'minecraft:blue_ice'
    潮涌核心 = 'minecraft:conduit'
    竹笋 = 'minecraft:bamboo_sapling'
    竹子 = 'minecraft:bamboo'
    竹子盆栽 = 'minecraft:potted_bamboo'
    虚空空气 = 'minecraft:void_air'
    洞穴空气 = 'minecraft:cave_air'
    气泡柱 = 'minecraft:bubble_column'
    磨制花岗岩楼梯 = 'minecraft:polished_granite_stairs'
    平滑红砂岩楼梯 = 'minecraft:smooth_red_sandstone_stairs'
    苔石砖楼梯 = 'minecraft:mossy_stone_brick_stairs'
    磨制闪长岩楼梯 = 'minecraft:polished_diorite_stairs'
    苔石楼梯 = 'minecraft:mossy_cobblestone_stairs'
    末地石砖阶梯 = 'minecraft:end_stone_brick_stairs'
    圆石楼梯 = 'minecraft:stone_stairs'
    平滑砂岩楼梯 = 'minecraft:smooth_sandstone_stairs'
    平滑石英楼梯 = 'minecraft:smooth_quartz_stairs'
    花岗岩楼梯 = 'minecraft:granite_stairs'
    安山岩楼梯 = 'minecraft:andesite_stairs'
    红色下界砖楼梯 = 'minecraft:red_nether_brick_stairs'
    磨制安山岩楼梯 = 'minecraft:polished_andesite_stairs'
    闪长岩楼梯 = 'minecraft:diorite_stairs'
    抛光花岗岩台阶 = 'minecraft:polished_granite_slab'
    平滑红砂岩台阶 = 'minecraft:smooth_red_sandstone_slab'
    青苔石砖台阶 = 'minecraft:mossy_stone_brick_slab'
    抛光闪长岩台阶 = 'minecraft:polished_diorite_slab'
    青苔圆石台阶 = 'minecraft:mossy_cobblestone_slab'
    末地石砖台阶 = 'minecraft:end_stone_brick_slab'
    平滑砂岩台阶 = 'minecraft:smooth_sandstone_slab'
    平滑石英台阶 = 'minecraft:smooth_quartz_slab'
    花岗岩台阶 = 'minecraft:granite_slab'
    安山岩台阶 = 'minecraft:andesite_slab'
    红色下界砖台阶 = 'minecraft:red_nether_brick_slab'
    抛光安山岩台阶 = 'minecraft:polished_andesite_slab'
    闪长岩台阶 = 'minecraft:diorite_slab'
    红砖墙 = 'minecraft:brick_wall'
    海磷石墙 = 'minecraft:prismarine_wall'
    红砂岩墙 = 'minecraft:red_sandstone_wall'
    青苔石砖墙 = 'minecraft:mossy_stone_brick_wall'
    花岗岩墙 = 'minecraft:granite_wall'
    石砖墙 = 'minecraft:stone_brick_wall'
    下界砖墙 = 'minecraft:nether_brick_wall'
    安山岩墙 = 'minecraft:andesite_wall'
    红色下界砖墙 = 'minecraft:red_nether_brick_wall'
    砂岩墙 = 'minecraft:sandstone_wall'
    末地石砖墙 = 'minecraft:end_stone_brick_wall'
    闪长岩墙 = 'minecraft:diorite_wall'
    脚手架 = 'minecraft:scaffolding'
    织布机 = 'minecraft:loom'
    木桶 = 'minecraft:barrel'
    烟熏炉 = 'minecraft:smoker'
    高炉 = 'minecraft:blast_furnace'
    制图台 = 'minecraft:cartography_table'
    制箭台 = 'minecraft:fletching_table'
    砂轮 = 'minecraft:grindstone'
    讲台 = 'minecraft:lectern'
    锻造台 = 'minecraft:smithing_table'
    切石机 = 'minecraft:stonecutter'
    钟 = 'minecraft:bell'
    灯笼 = 'minecraft:lantern'
    灵魂灯笼 = 'minecraft:soul_lantern'
    营火 = 'minecraft:campfire'
    灵魂营火 = 'minecraft:soul_campfire'
    甜浆果丛 = 'minecraft:sweet_berry_bush'
    诡异菌柄 = 'minecraft:warped_stem'
    去皮诡异菌柄 = 'minecraft:stripped_warped_stem'
    诡异菌核 = 'minecraft:warped_hyphae'
    去皮诡异菌核 = 'minecraft:stripped_warped_hyphae'
    诡异菌岩 = 'minecraft:warped_nylium'
    诡异菌 = 'minecraft:warped_fungus'
    诡异疣块 = 'minecraft:warped_wart_block'
    诡异菌索 = 'minecraft:warped_roots'
    下界苗 = 'minecraft:nether_sprouts'
    绯红菌柄 = 'minecraft:crimson_stem'
    去皮绯红菌柄 = 'minecraft:stripped_crimson_stem'
    绯红菌核 = 'minecraft:crimson_hyphae'
    去皮绯红菌核 = 'minecraft:stripped_crimson_hyphae'
    绯红菌岩 = 'minecraft:crimson_nylium'
    绯红菌 = 'minecraft:crimson_fungus'
    菌光体 = 'minecraft:shroomlight'
    垂泪藤 = 'minecraft:weeping_vines'
    垂泣藤植株 = 'minecraft:weeping_vines_plant'
    缠怨藤 = 'minecraft:twisting_vines'
    缠怨藤植物 = 'minecraft:twisting_vines_plant'
    绯红菌索 = 'minecraft:crimson_roots'
    绯红木板 = 'minecraft:crimson_planks'
    诡异木板 = 'minecraft:warped_planks'
    绯红木台阶 = 'minecraft:crimson_slab'
    诡异木台阶 = 'minecraft:warped_slab'
    绯红木压力板 = 'minecraft:crimson_pressure_plate'
    诡异木压力板 = 'minecraft:warped_pressure_plate'
    绯红木栅栏 = 'minecraft:crimson_fence'
    诡异木栅栏 = 'minecraft:warped_fence'
    绯红木活板门 = 'minecraft:crimson_trapdoor'
    诡异木活板门 = 'minecraft:warped_trapdoor'
    绯红木栅栏门 = 'minecraft:crimson_fence_gate'
    诡异木栅栏门 = 'minecraft:warped_fence_gate'
    绯红木楼梯 = 'minecraft:crimson_stairs'
    诡异木楼梯 = 'minecraft:warped_stairs'
    绯红木按钮 = 'minecraft:crimson_button'
    诡异木按钮 = 'minecraft:warped_button'
    绯红木门 = 'minecraft:crimson_door'
    诡异木门 = 'minecraft:warped_door'
    绯红木告示牌 = 'minecraft:crimson_sign'
    诡异木告示牌 = 'minecraft:warped_sign'
    墙上的绯红木告示牌 = 'minecraft:crimson_wall_sign'
    墙上的诡异木告示牌 = 'minecraft:warped_wall_sign'
    结构方块 = 'minecraft:structure_block'
    拼图方块 = 'minecraft:jigsaw'
    堆肥桶 = 'minecraft:composter'
    标靶 = 'minecraft:target'
    蜂巢 = 'minecraft:bee_nest'
    蜂箱 = 'minecraft:beehive'
    蜂蜜块 = 'minecraft:honey_block'
    蜜脾块 = 'minecraft:honeycomb_block'
    下界合金块 = 'minecraft:netherite_block'
    远古残骸 = 'minecraft:ancient_debris'
    哭泣的黑曜石 = 'minecraft:crying_obsidian'
    重生锚 = 'minecraft:respawn_anchor'
    绯红菌盆栽 = 'minecraft:potted_crimson_fungus'
    诡异菌盆栽 = 'minecraft:potted_warped_fungus'
    盆栽绯红菌索 = 'minecraft:potted_crimson_roots'
    盆栽诡异菌索 = 'minecraft:potted_warped_roots'
    磁石 = 'minecraft:lodestone'
    黑石 = 'minecraft:blackstone'
    黑石楼梯 = 'minecraft:blackstone_stairs'
    黑石墙 = 'minecraft:blackstone_wall'
    黑石台阶 = 'minecraft:blackstone_slab'
    磨制黑石 = 'minecraft:polished_blackstone'
    磨制黑石砖 = 'minecraft:polished_blackstone_bricks'
    裂纹磨制黑石砖 = 'minecraft:cracked_polished_blackstone_bricks'
    錾制磨制黑石 = 'minecraft:chiseled_polished_blackstone'
    磨制黑石砖台阶 = 'minecraft:polished_blackstone_brick_slab'
    磨制黑石砖楼梯 = 'minecraft:polished_blackstone_brick_stairs'
    磨制黑石砖墙 = 'minecraft:polished_blackstone_brick_wall'
    镶金黑石 = 'minecraft:gilded_blackstone'
    磨制黑石楼梯 = 'minecraft:polished_blackstone_stairs'
    磨制黑石台阶 = 'minecraft:polished_blackstone_slab'
    磨制黑石压力板 = 'minecraft:polished_blackstone_pressure_plate'
    磨制黑石按钮 = 'minecraft:polished_blackstone_button'
    磨制黑石墙 = 'minecraft:polished_blackstone_wall'
    錾制下界砖块 = 'minecraft:chiseled_nether_bricks'
    裂纹下界砖块 = 'minecraft:cracked_nether_bricks'
    石英砖 = 'minecraft:quartz_bricks'
    蜡烛 = 'minecraft:candle'
    白色蜡烛 = 'minecraft:white_candle'
    橙色蜡烛 = 'minecraft:orange_candle'
    洋红色蜡烛 = 'minecraft:magenta_candle'
    浅蓝色蜡烛 = 'minecraft:light_blue_candle'
    黄色蜡烛 = 'minecraft:yellow_candle'
    浅绿色蜡烛 = 'minecraft:lime_candle'
    粉红色蜡烛 = 'minecraft:pink_candle'
    灰色蜡烛 = 'minecraft:gray_candle'
    浅灰色蜡烛 = 'minecraft:light_gray_candle'
    青色蜡烛 = 'minecraft:cyan_candle'
    紫色蜡烛 = 'minecraft:purple_candle'
    蓝色蜡烛 = 'minecraft:blue_candle'
    棕色蜡烛 = 'minecraft:brown_candle'
    绿色蜡烛 = 'minecraft:green_candle'
    红色蜡烛 = 'minecraft:red_candle'
    黑色蜡烛 = 'minecraft:black_candle'
    蜡烛蛋糕 = 'minecraft:candle_cake'
    插上白色蜡烛的蛋糕 = 'minecraft:white_candle_cake'
    插上橙色蜡烛的蛋糕 = 'minecraft:orange_candle_cake'
    插上洋红色蜡烛的蛋糕 = 'minecraft:magenta_candle_cake'
    插上浅蓝色蜡烛的蛋糕 = 'minecraft:light_blue_candle_cake'
    插上黄色蜡烛的蛋糕 = 'minecraft:yellow_candle_cake'
    插上浅绿色蜡烛的蛋糕 = 'minecraft:lime_candle_cake'
    插上粉红色蜡烛的蛋糕 = 'minecraft:pink_candle_cake'
    插上灰色蜡烛的蛋糕 = 'minecraft:gray_candle_cake'
    插上浅灰色蜡烛的蛋糕 = 'minecraft:light_gray_candle_cake'
    插上青色蜡烛的蛋糕 = 'minecraft:cyan_candle_cake'
    插上紫色蜡烛的蛋糕 = 'minecraft:purple_candle_cake'
    插上蓝色蜡烛的蛋糕 = 'minecraft:blue_candle_cake'
    插上棕色蜡烛的蛋糕 = 'minecraft:brown_candle_cake'
    插上绿色蜡烛的蛋糕 = 'minecraft:green_candle_cake'
    插上红色蜡烛的蛋糕 = 'minecraft:red_candle_cake'
    插上黑色蜡烛的蛋糕 = 'minecraft:black_candle_cake'
    紫水晶方块 = 'minecraft:amethyst_block'
    紫水晶芽床 = 'minecraft:budding_amethyst'
    紫水晶晶簇 = 'minecraft:amethyst_cluster'
    大型紫水晶芽 = 'minecraft:large_amethyst_bud'
    中型紫水晶芽 = 'minecraft:medium_amethyst_bud'
    小型紫水晶芽 = 'minecraft:small_amethyst_bud'
    凝灰岩 = 'minecraft:tuff'
    方解石 = 'minecraft:calcite'
    遮光玻璃 = 'minecraft:tinted_glass'
    粉雪 = 'minecraft:powder_snow'
    伏聆振测器 = 'minecraft:sculk_sensor'
    氧化的铜方块 = 'minecraft:oxidized_copper'
    风化的铜方块 = 'minecraft:weathered_copper'
    铜方块 = 'minecraft:copper_block'
    铜矿石 = 'minecraft:copper_ore'
    深板岩铜矿石 = 'minecraft:deepslate_copper_ore'
    氧化的切制铜方块 = 'minecraft:oxidized_cut_copper'
    风化的切制铜方块 = 'minecraft:weathered_cut_copper'
    斑驳的切制铜方块 = 'minecraft:exposed_cut_copper'
    切制铜方块 = 'minecraft:cut_copper'
    氧化的切制铜阶梯 = 'minecraft:oxidized_cut_copper_stairs'
    风化的切制铜阶梯 = 'minecraft:weathered_cut_copper_stairs'
    斑驳的切制铜阶梯 = 'minecraft:exposed_cut_copper_stairs'
    切制铜阶梯 = 'minecraft:cut_copper_stairs'
    氧化的切制铜台阶 = 'minecraft:oxidized_cut_copper_slab'
    风化的切制铜台阶 = 'minecraft:weathered_cut_copper_slab'
    斑驳的切制铜台阶 = 'minecraft:exposed_cut_copper_slab'
    切制铜台阶 = 'minecraft:cut_copper_slab'
    上蜡的铜方块 = 'minecraft:waxed_copper_block'
    上蜡的风化铜方块 = 'minecraft:waxed_weathered_copper'
    斑驳的铜方块 = 'minecraft:waxed_exposed_copper'
    上蜡的氧化铜方块 = 'minecraft:waxed_oxidized_copper'
    上蜡的氧化切制铜方块 = 'minecraft:waxed_oxidized_cut_copper'
    上蜡的风化切制铜方块 = 'minecraft:waxed_weathered_cut_copper'
    上蜡的斑驳切制铜方块 = 'minecraft:waxed_exposed_cut_copper'
    上蜡的切制铜方块 = 'minecraft:waxed_cut_copper'
    上蜡的氧化切制铜阶梯 = 'minecraft:waxed_oxidized_cut_copper_stairs'
    上蜡的风化切制铜阶梯 = 'minecraft:waxed_weathered_cut_copper_stairs'
    上蜡的斑驳切制铜阶梯 = 'minecraft:waxed_exposed_cut_copper_stairs'
    上蜡的切制铜阶梯 = 'minecraft:waxed_cut_copper_stairs'
    上蜡的氧化切制铜台阶 = 'minecraft:waxed_oxidized_cut_copper_slab'
    上蜡的风化切制铜台阶 = 'minecraft:waxed_weathered_cut_copper_slab'
    上蜡的斑驳切制铜台阶 = 'minecraft:waxed_exposed_cut_copper_slab'
    上蜡的切制铜台阶 = 'minecraft:waxed_cut_copper_slab'
    避雷针 = 'minecraft:lightning_rod'
    钟乳石 = 'minecraft:pointed_dripstone'
    钟乳石方块 = 'minecraft:dripstone_block'
    洞穴藤蔓 = 'minecraft:cave_vines'
    洞穴藤蔓植株 = 'minecraft:cave_vines_plant'
    孢子花 = 'minecraft:spore_blossom'
    杜鹃丛 = 'minecraft:azalea'
    开花的杜鹃丛 = 'minecraft:flowering_azalea'
    覆地苔藓 = 'minecraft:moss_carpet'
    苔藓方块 = 'minecraft:moss_block'
    大悬叶草 = 'minecraft:big_dripleaf'
    大悬叶草叶柄 = 'minecraft:big_dripleaf_stem'
    小悬叶草 = 'minecraft:small_dripleaf'
    悬根 = 'minecraft:hanging_roots'
    扎根土 = 'minecraft:rooted_dirt'
    深板岩 = 'minecraft:deepslate'
    深板岩碎石 = 'minecraft:cobbled_deepslate'
    碎深板岩阶梯 = 'minecraft:cobbled_deepslate_stairs'
    碎深板岩台阶 = 'minecraft:cobbled_deepslate_slab'
    碎深板岩墙 = 'minecraft:cobbled_deepslate_wall'
    抛光深板岩 = 'minecraft:polished_deepslate'
    抛光深板岩阶梯 = 'minecraft:polished_deepslate_stairs'
    抛光深板岩台阶 = 'minecraft:polished_deepslate_slab'
    抛光深板岩墙 = 'minecraft:polished_deepslate_wall'
    深板岩砖瓦 = 'minecraft:deepslate_tiles'
    深板岩砖瓦阶梯 = 'minecraft:deepslate_tile_stairs'
    深板岩砖瓦台阶 = 'minecraft:deepslate_tile_slab'
    深板岩砖瓦墙 = 'minecraft:deepslate_tile_wall'
    深板岩砖 = 'minecraft:deepslate_bricks'
    深板岩砖阶梯 = 'minecraft:deepslate_brick_stairs'
    深板岩砖台阶 = 'minecraft:deepslate_brick_slab'
    深板岩砖墙 = 'minecraft:deepslate_brick_wall'
    浮雕深板岩 = 'minecraft:chiseled_deepslate'
    裂纹深板岩砖 = 'minecraft:cracked_deepslate_bricks'
    裂纹深板岩砖瓦 = 'minecraft:cracked_deepslate_tiles'
    蛀蚀的深板岩 = 'minecraft:infested_deepslate'
    平滑玄武岩 = 'minecraft:smooth_basalt'
    铁原矿方块 = 'minecraft:raw_iron_block'
    铜原矿方块 = 'minecraft:raw_copper_block'
    金原矿方块 = 'minecraft:raw_gold_block'
    杜鹃丛盆栽 = 'minecraft:potted_azalea_bush'
    开花的杜鹃丛盆栽 = 'minecraft:potted_flowering_azalea_bush'

EnumBlock = deepcopy(方块)

class 物品(Enum):
    空气 = 'minecraft:air'
    石头 = 'minecraft:stone'
    花岗岩 = 'minecraft:granite'
    抛光花岗岩 = 'minecraft:polished_granite'
    闪长岩 = 'minecraft:diorite'
    抛光闪长岩 = 'minecraft:polished_diorite'
    安山岩 = 'minecraft:andesite'
    抛光安山岩 = 'minecraft:polished_andesite'
    深板岩 = 'minecraft:deepslate'
    深板岩碎石 = 'minecraft:cobbled_deepslate'
    抛光深板岩 = 'minecraft:polished_deepslate'
    方解石 = 'minecraft:calcite'
    凝灰岩 = 'minecraft:tuff'
    钟乳石方块 = 'minecraft:dripstone_block'
    草地 = 'minecraft:grass_block'
    泥土 = 'minecraft:dirt'
    粗泥 = 'minecraft:coarse_dirt'
    灰化土 = 'minecraft:podzol'
    扎根土 = 'minecraft:rooted_dirt'
    绯红菌岩 = 'minecraft:crimson_nylium'
    诡异菌岩 = 'minecraft:warped_nylium'
    圆石 = 'minecraft:cobblestone'
    橡木木板 = 'minecraft:oak_planks'
    杉木木板 = 'minecraft:spruce_planks'
    桦木木板 = 'minecraft:birch_planks'
    丛林木木板 = 'minecraft:jungle_planks'
    金合欢木木板 = 'minecraft:acacia_planks'
    黑橡木木板 = 'minecraft:dark_oak_planks'
    绯红木板 = 'minecraft:crimson_planks'
    诡异木板 = 'minecraft:warped_planks'
    橡木树苗 = 'minecraft:oak_sapling'
    杉木树苗 = 'minecraft:spruce_sapling'
    桦木树苗 = 'minecraft:birch_sapling'
    丛林木树苗 = 'minecraft:jungle_sapling'
    金合欢木树苗 = 'minecraft:acacia_sapling'
    黑橡木树苗 = 'minecraft:dark_oak_sapling'
    基岩 = 'minecraft:bedrock'
    沙子 = 'minecraft:sand'
    红沙 = 'minecraft:red_sand'
    沙砾 = 'minecraft:gravel'
    煤矿石 = 'minecraft:coal_ore'
    深板岩煤矿石 = 'minecraft:deepslate_coal_ore'
    铁矿石 = 'minecraft:iron_ore'
    深层铁矿石 = 'minecraft:deepslate_iron_ore'
    铜矿石 = 'minecraft:copper_ore'
    深板岩铜矿石 = 'minecraft:deepslate_copper_ore'
    金矿石 = 'minecraft:gold_ore'
    深板岩金矿石 = 'minecraft:deepslate_gold_ore'
    红石矿石 = 'minecraft:redstone_ore'
    深板岩红石矿石 = 'minecraft:deepslate_redstone_ore'
    绿宝石矿石 = 'minecraft:emerald_ore'
    深板岩绿宝石矿石 = 'minecraft:deepslate_emerald_ore'
    青金石矿石 = 'minecraft:lapis_ore'
    深板岩青金石矿石 = 'minecraft:deepslate_lapis_ore'
    钻石矿石 = 'minecraft:diamond_ore'
    深板岩钻石矿石 = 'minecraft:deepslate_diamond_ore'
    下界金矿石 = 'minecraft:nether_gold_ore'
    下界石英矿石 = 'minecraft:nether_quartz_ore'
    远古残骸 = 'minecraft:ancient_debris'
    煤炭块 = 'minecraft:coal_block'
    铁原矿方块 = 'minecraft:raw_iron_block'
    铜原矿方块 = 'minecraft:raw_copper_block'
    金原矿方块 = 'minecraft:raw_gold_block'
    紫水晶方块 = 'minecraft:amethyst_block'
    紫水晶芽床 = 'minecraft:budding_amethyst'
    铁块 = 'minecraft:iron_block'
    铜方块 = 'minecraft:copper_block'
    金块 = 'minecraft:gold_block'
    钻石块 = 'minecraft:diamond_block'
    下界合金块 = 'minecraft:netherite_block'
    斑驳的铜方块 = 'minecraft:exposed_copper'
    风化的铜方块 = 'minecraft:weathered_copper'
    氧化的铜方块 = 'minecraft:oxidized_copper'
    切制铜方块 = 'minecraft:cut_copper'
    斑驳的切制铜方块 = 'minecraft:exposed_cut_copper'
    风化的切制铜方块 = 'minecraft:weathered_cut_copper'
    氧化的切制铜方块 = 'minecraft:oxidized_cut_copper'
    切制铜阶梯 = 'minecraft:cut_copper_stairs'
    斑驳的切制铜阶梯 = 'minecraft:exposed_cut_copper_stairs'
    风化的切制铜阶梯 = 'minecraft:weathered_cut_copper_stairs'
    氧化的切制铜阶梯 = 'minecraft:oxidized_cut_copper_stairs'
    切制铜台阶 = 'minecraft:cut_copper_slab'
    斑驳的切制铜台阶 = 'minecraft:exposed_cut_copper_slab'
    风化的切制铜台阶 = 'minecraft:weathered_cut_copper_slab'
    氧化的切制铜台阶 = 'minecraft:oxidized_cut_copper_slab'
    上蜡的铜方块 = 'minecraft:waxed_copper_block'
    上蜡的斑驳铜方块 = 'minecraft:waxed_exposed_copper'
    上蜡的风化铜方块 = 'minecraft:waxed_weathered_copper'
    上蜡的氧化铜方块 = 'minecraft:waxed_oxidized_copper'
    上蜡的切制铜方块 = 'minecraft:waxed_cut_copper'
    上蜡的斑驳切制铜方块 = 'minecraft:waxed_exposed_cut_copper'
    上蜡的风化切制铜方块 = 'minecraft:waxed_weathered_cut_copper'
    上蜡的氧化切制铜方块 = 'minecraft:waxed_oxidized_cut_copper'
    上蜡的切制铜阶梯 = 'minecraft:waxed_cut_copper_stairs'
    上蜡的斑驳切制铜阶梯 = 'minecraft:waxed_exposed_cut_copper_stairs'
    上蜡的风化切制铜阶梯 = 'minecraft:waxed_weathered_cut_copper_stairs'
    上蜡的氧化切制铜阶梯 = 'minecraft:waxed_oxidized_cut_copper_stairs'
    上蜡的切制铜台阶 = 'minecraft:waxed_cut_copper_slab'
    上蜡的斑驳切制铜台阶 = 'minecraft:waxed_exposed_cut_copper_slab'
    上蜡的风化切制铜台阶 = 'minecraft:waxed_weathered_cut_copper_slab'
    上蜡的氧化切制铜台阶 = 'minecraft:waxed_oxidized_cut_copper_slab'
    橡木原木 = 'minecraft:oak_log'
    杉木原木 = 'minecraft:spruce_log'
    桦木原木 = 'minecraft:birch_log'
    丛林木原木 = 'minecraft:jungle_log'
    金合欢木原木 = 'minecraft:acacia_log'
    黑橡木原木 = 'minecraft:dark_oak_log'
    绯红菌柄 = 'minecraft:crimson_stem'
    诡异菌柄 = 'minecraft:warped_stem'
    去皮橡木原木 = 'minecraft:stripped_oak_log'
    去皮云杉原木 = 'minecraft:stripped_spruce_log'
    去皮白桦原木 = 'minecraft:stripped_birch_log'
    去皮丛林原木 = 'minecraft:stripped_jungle_log'
    去皮金合欢原木 = 'minecraft:stripped_acacia_log'
    去皮深色橡木原木 = 'minecraft:stripped_dark_oak_log'
    去皮绯红菌柄 = 'minecraft:stripped_crimson_stem'
    去皮诡异菌柄 = 'minecraft:stripped_warped_stem'
    剥皮橡木块 = 'minecraft:stripped_oak_wood'
    剥皮杉木块 = 'minecraft:stripped_spruce_wood'
    剥皮桦木块 = 'minecraft:stripped_birch_wood'
    剥皮丛林木块 = 'minecraft:stripped_jungle_wood'
    剥皮金合欢木块 = 'minecraft:stripped_acacia_wood'
    剥皮黑橡木块 = 'minecraft:stripped_dark_oak_wood'
    去皮绯红菌核 = 'minecraft:stripped_crimson_hyphae'
    去皮诡异菌核 = 'minecraft:stripped_warped_hyphae'
    橡木块 = 'minecraft:oak_wood'
    杉木块 = 'minecraft:spruce_wood'
    桦木块 = 'minecraft:birch_wood'
    丛林木块 = 'minecraft:jungle_wood'
    金合欢木块 = 'minecraft:acacia_wood'
    黑橡木块 = 'minecraft:dark_oak_wood'
    绯红菌核 = 'minecraft:crimson_hyphae'
    诡异菌核 = 'minecraft:warped_hyphae'
    橡木树叶 = 'minecraft:oak_leaves'
    杉木树叶 = 'minecraft:spruce_leaves'
    桦木树叶 = 'minecraft:birch_leaves'
    丛林木树叶 = 'minecraft:jungle_leaves'
    金合欢木树叶 = 'minecraft:acacia_leaves'
    黑橡木树叶 = 'minecraft:dark_oak_leaves'
    杜鹃叶 = 'minecraft:azalea_leaves'
    开花的杜鹃叶 = 'minecraft:flowering_azalea_leaves'
    海绵 = 'minecraft:sponge'
    湿海绵 = 'minecraft:wet_sponge'
    玻璃 = 'minecraft:glass'
    遮光玻璃 = 'minecraft:tinted_glass'
    青金石块 = 'minecraft:lapis_block'
    砂岩 = 'minecraft:sandstone'
    浮雕砂岩 = 'minecraft:chiseled_sandstone'
    切制砂岩 = 'minecraft:cut_sandstone'
    蜘蛛网 = 'minecraft:cobweb'
    草方块 = 'minecraft:grass'
    蕨 = 'minecraft:fern'
    杜鹃丛 = 'minecraft:azalea'
    开花的杜鹃丛 = 'minecraft:flowering_azalea'
    枯灌木 = 'minecraft:dead_bush'
    海草 = 'minecraft:seagrass'
    海泡菜 = 'minecraft:sea_pickle'
    白色羊毛 = 'minecraft:white_wool'
    橙色羊毛 = 'minecraft:orange_wool'
    洋红色羊毛 = 'minecraft:magenta_wool'
    浅蓝色羊毛 = 'minecraft:light_blue_wool'
    黄色羊毛 = 'minecraft:yellow_wool'
    浅绿色羊毛 = 'minecraft:lime_wool'
    粉红色羊毛 = 'minecraft:pink_wool'
    灰色羊毛 = 'minecraft:gray_wool'
    浅灰色羊毛 = 'minecraft:light_gray_wool'
    青色羊毛 = 'minecraft:cyan_wool'
    紫色羊毛 = 'minecraft:purple_wool'
    蓝色羊毛 = 'minecraft:blue_wool'
    棕色羊毛 = 'minecraft:brown_wool'
    绿色羊毛 = 'minecraft:green_wool'
    红色羊毛 = 'minecraft:red_wool'
    黑色羊毛 = 'minecraft:black_wool'
    蒲公英 = 'minecraft:dandelion'
    罂粟 = 'minecraft:poppy'
    蓝色蝴蝶兰 = 'minecraft:blue_orchid'
    紫红球花 = 'minecraft:allium'
    雏草 = 'minecraft:azure_bluet'
    红色郁金香 = 'minecraft:red_tulip'
    橙色郁金香 = 'minecraft:orange_tulip'
    白色郁金香 = 'minecraft:white_tulip'
    粉红色郁金香 = 'minecraft:pink_tulip'
    雏菊 = 'minecraft:oxeye_daisy'
    矢车菊 = 'minecraft:cornflower'
    铃兰 = 'minecraft:lily_of_the_valley'
    凋零玫瑰 = 'minecraft:wither_rose'
    孢子花 = 'minecraft:spore_blossom'
    棕色蘑菇 = 'minecraft:brown_mushroom'
    红色蘑菇 = 'minecraft:red_mushroom'
    绯红菌 = 'minecraft:crimson_fungus'
    诡异菌 = 'minecraft:warped_fungus'
    绯红菌索 = 'minecraft:crimson_roots'
    诡异菌索 = 'minecraft:warped_roots'
    下界苗 = 'minecraft:nether_sprouts'
    垂泪藤 = 'minecraft:weeping_vines'
    缠怨藤 = 'minecraft:twisting_vines'
    甘蔗 = 'minecraft:sugar_cane'
    海带 = 'minecraft:kelp'
    覆地苔藓 = 'minecraft:moss_carpet'
    苔藓方块 = 'minecraft:moss_block'
    悬根 = 'minecraft:hanging_roots'
    大悬叶草 = 'minecraft:big_dripleaf'
    小悬叶草 = 'minecraft:small_dripleaf'
    竹子 = 'minecraft:bamboo'
    橡木台阶 = 'minecraft:oak_slab'
    杉木台阶 = 'minecraft:spruce_slab'
    桦木台阶 = 'minecraft:birch_slab'
    丛林木台阶 = 'minecraft:jungle_slab'
    金合欢木台阶 = 'minecraft:acacia_slab'
    黑橡木台阶 = 'minecraft:dark_oak_slab'
    绯红木台阶 = 'minecraft:crimson_slab'
    诡异木台阶 = 'minecraft:warped_slab'
    苔石砖台阶 = 'minecraft:stone_slab'
    平滑石台阶 = 'minecraft:smooth_stone_slab'
    砂岩台阶 = 'minecraft:sandstone_slab'
    切制砂岩台阶 = 'minecraft:cut_sandstone_slab'
    石化橡木台阶 = 'minecraft:petrified_oak_slab'
    圆石台阶 = 'minecraft:cobblestone_slab'
    红砖台阶 = 'minecraft:brick_slab'
    石砖台阶 = 'minecraft:stone_brick_slab'
    下界砖台阶 = 'minecraft:nether_brick_slab'
    石英台阶 = 'minecraft:quartz_slab'
    红砂岩台阶 = 'minecraft:red_sandstone_slab'
    切制红砂岩台阶 = 'minecraft:cut_red_sandstone_slab'
    紫珀台阶 = 'minecraft:purpur_slab'
    海磷石台阶 = 'minecraft:prismarine_slab'
    海磷石砖台阶 = 'minecraft:prismarine_brick_slab'
    暗海磷石台阶 = 'minecraft:dark_prismarine_slab'
    平滑石英方块 = 'minecraft:smooth_quartz'
    平滑红砂岩 = 'minecraft:smooth_red_sandstone'
    平滑砂岩 = 'minecraft:smooth_sandstone'
    平滑石头 = 'minecraft:smooth_stone'
    红砖 = 'minecraft:bricks'
    书架 = 'minecraft:bookshelf'
    苔石 = 'minecraft:mossy_cobblestone'
    黑曜石 = 'minecraft:obsidian'
    火把 = 'minecraft:torch'
    末地烛 = 'minecraft:end_rod'
    紫颂植株 = 'minecraft:chorus_plant'
    紫颂花 = 'minecraft:chorus_flower'
    紫珀块 = 'minecraft:purpur_block'
    紫珀柱 = 'minecraft:purpur_pillar'
    紫珀楼梯 = 'minecraft:purpur_stairs'
    生怪砖 = 'minecraft:spawner'
    橡木楼梯 = 'minecraft:oak_stairs'
    箱子 = 'minecraft:chest'
    工作台 = 'minecraft:crafting_table'
    耕地 = 'minecraft:farmland'
    熔炉 = 'minecraft:furnace'
    梯子 = 'minecraft:ladder'
    圆石阶梯 = 'minecraft:cobblestone_stairs'
    雪 = 'minecraft:snow'
    冰 = 'minecraft:ice'
    雪块 = 'minecraft:snow_block'
    仙人掌 = 'minecraft:cactus'
    黏土块 = 'minecraft:clay'
    唱片机 = 'minecraft:jukebox'
    橡木栅栏 = 'minecraft:oak_fence'
    杉木栅栏 = 'minecraft:spruce_fence'
    桦木栅栏 = 'minecraft:birch_fence'
    丛林木栅栏 = 'minecraft:jungle_fence'
    金合欢木栅栏 = 'minecraft:acacia_fence'
    黑橡木栅栏 = 'minecraft:dark_oak_fence'
    绯红木栅栏 = 'minecraft:crimson_fence'
    诡异木栅栏 = 'minecraft:warped_fence'
    南瓜 = 'minecraft:pumpkin'
    雕刻过的南瓜 = 'minecraft:carved_pumpkin'
    南瓜灯 = 'minecraft:jack_o_lantern'
    下界岩 = 'minecraft:netherrack'
    灵魂沙 = 'minecraft:soul_sand'
    灵魂土 = 'minecraft:soul_soil'
    玄武岩 = 'minecraft:basalt'
    磨制玄武岩 = 'minecraft:polished_basalt'
    平滑玄武岩 = 'minecraft:smooth_basalt'
    灵魂火把 = 'minecraft:soul_torch'
    荧石 = 'minecraft:glowstone'
    蛀蚀的石头 = 'minecraft:infested_stone'
    蛀蚀的圆石 = 'minecraft:infested_cobblestone'
    蛀蚀的石砖 = 'minecraft:infested_stone_bricks'
    蛀蚀的青苔石砖 = 'minecraft:infested_mossy_stone_bricks'
    蛀蚀的裂纹石砖 = 'minecraft:infested_cracked_stone_bricks'
    蛀蚀的浮雕石砖 = 'minecraft:infested_chiseled_stone_bricks'
    蛀蚀的深板岩 = 'minecraft:infested_deepslate'
    石砖 = 'minecraft:stone_bricks'
    青苔石砖 = 'minecraft:mossy_stone_bricks'
    裂纹石砖 = 'minecraft:cracked_stone_bricks'
    浮雕石砖 = 'minecraft:chiseled_stone_bricks'
    深板岩砖 = 'minecraft:deepslate_bricks'
    裂纹深板岩砖 = 'minecraft:cracked_deepslate_bricks'
    深板岩砖瓦 = 'minecraft:deepslate_tiles'
    裂纹深板岩砖瓦 = 'minecraft:cracked_deepslate_tiles'
    浮雕深板岩 = 'minecraft:chiseled_deepslate'
    棕色蘑菇方块 = 'minecraft:brown_mushroom_block'
    红色蘑菇方块 = 'minecraft:red_mushroom_block'
    蘑菇柄 = 'minecraft:mushroom_stem'
    铁栏杆 = 'minecraft:iron_bars'
    锁链 = 'minecraft:chain'
    玻璃板 = 'minecraft:glass_pane'
    西瓜 = 'minecraft:melon'
    藤蔓 = 'minecraft:vine'
    发光地衣 = 'minecraft:glow_lichen'
    砖楼梯 = 'minecraft:brick_stairs'
    石砖楼梯 = 'minecraft:stone_brick_stairs'
    菌丝 = 'minecraft:mycelium'
    荷叶 = 'minecraft:lily_pad'
    下界砖 = 'minecraft:nether_bricks'
    裂纹下界砖块 = 'minecraft:cracked_nether_bricks'
    錾制下界砖块 = 'minecraft:chiseled_nether_bricks'
    下界砖栅栏 = 'minecraft:nether_brick_fence'
    下界砖楼梯 = 'minecraft:nether_brick_stairs'
    附魔台 = 'minecraft:enchanting_table'
    末地传送门框架 = 'minecraft:end_portal_frame'
    末地石 = 'minecraft:end_stone'
    末地石砖 = 'minecraft:end_stone_bricks'
    龙蛋 = 'minecraft:dragon_egg'
    砂岩楼梯 = 'minecraft:sandstone_stairs'
    末影箱 = 'minecraft:ender_chest'
    绿宝石块 = 'minecraft:emerald_block'
    云杉木楼梯 = 'minecraft:spruce_stairs'
    白桦木楼梯 = 'minecraft:birch_stairs'
    丛林木楼梯 = 'minecraft:jungle_stairs'
    绯红木楼梯 = 'minecraft:crimson_stairs'
    诡异木楼梯 = 'minecraft:warped_stairs'
    脉冲型命令方块 = 'minecraft:command_block'
    信标 = 'minecraft:beacon'
    圆石墙 = 'minecraft:cobblestone_wall'
    青苔圆石墙 = 'minecraft:mossy_cobblestone_wall'
    红砖墙 = 'minecraft:brick_wall'
    海磷石墙 = 'minecraft:prismarine_wall'
    红砂岩墙 = 'minecraft:red_sandstone_wall'
    青苔石砖墙 = 'minecraft:mossy_stone_brick_wall'
    花岗岩墙 = 'minecraft:granite_wall'
    石砖墙 = 'minecraft:stone_brick_wall'
    下界砖墙 = 'minecraft:nether_brick_wall'
    安山岩墙 = 'minecraft:andesite_wall'
    红色下界砖墙 = 'minecraft:red_nether_brick_wall'
    砂岩墙 = 'minecraft:sandstone_wall'
    末地石砖墙 = 'minecraft:end_stone_brick_wall'
    闪长岩墙 = 'minecraft:diorite_wall'
    黑石墙 = 'minecraft:blackstone_wall'
    磨制黑石墙 = 'minecraft:polished_blackstone_wall'
    磨制黑石砖墙 = 'minecraft:polished_blackstone_brick_wall'
    碎深板岩墙 = 'minecraft:cobbled_deepslate_wall'
    抛光深板岩墙 = 'minecraft:polished_deepslate_wall'
    深板岩砖墙 = 'minecraft:deepslate_brick_wall'
    深板岩砖瓦墙 = 'minecraft:deepslate_tile_wall'
    铁砧 = 'minecraft:anvil'
    微损的铁砧 = 'minecraft:chipped_anvil'
    耗损的铁砧 = 'minecraft:damaged_anvil'
    浮雕石英方块 = 'minecraft:chiseled_quartz_block'
    石英块 = 'minecraft:quartz_block'
    石英砖 = 'minecraft:quartz_bricks'
    石英柱 = 'minecraft:quartz_pillar'
    石英楼梯 = 'minecraft:quartz_stairs'
    白色陶土 = 'minecraft:white_terracotta'
    橙色陶土 = 'minecraft:orange_terracotta'
    洋红色陶土 = 'minecraft:magenta_terracotta'
    浅蓝色陶土 = 'minecraft:light_blue_terracotta'
    黄色陶土 = 'minecraft:yellow_terracotta'
    浅绿色陶土 = 'minecraft:lime_terracotta'
    粉红色陶土 = 'minecraft:pink_terracotta'
    灰色陶土 = 'minecraft:gray_terracotta'
    浅灰色陶土 = 'minecraft:light_gray_terracotta'
    青色陶土 = 'minecraft:cyan_terracotta'
    紫色陶土 = 'minecraft:purple_terracotta'
    蓝色陶土 = 'minecraft:blue_terracotta'
    棕色陶土 = 'minecraft:brown_terracotta'
    绿色陶土 = 'minecraft:green_terracotta'
    红色陶土 = 'minecraft:red_terracotta'
    黑色陶土 = 'minecraft:black_terracotta'
    屏障 = 'minecraft:barrier'
    光源 = 'minecraft:light'
    干草块 = 'minecraft:hay_block'
    白色地毯 = 'minecraft:white_carpet'
    橙色地毯 = 'minecraft:orange_carpet'
    洋红色地毯 = 'minecraft:magenta_carpet'
    浅蓝色地毯 = 'minecraft:light_blue_carpet'
    黄色地毯 = 'minecraft:yellow_carpet'
    浅绿色地毯 = 'minecraft:lime_carpet'
    粉红色地毯 = 'minecraft:pink_carpet'
    灰色地毯 = 'minecraft:gray_carpet'
    浅灰色地毯 = 'minecraft:light_gray_carpet'
    青色地毯 = 'minecraft:cyan_carpet'
    紫色地毯 = 'minecraft:purple_carpet'
    蓝色地毯 = 'minecraft:blue_carpet'
    棕色地毯 = 'minecraft:brown_carpet'
    绿色地毯 = 'minecraft:green_carpet'
    红色地毯 = 'minecraft:red_carpet'
    黑色地毯 = 'minecraft:black_carpet'
    陶土 = 'minecraft:terracotta'
    浮冰 = 'minecraft:packed_ice'
    金合欢木楼梯 = 'minecraft:acacia_stairs'
    深色橡木楼梯 = 'minecraft:dark_oak_stairs'
    土径 = 'minecraft:dirt_path'
    向日葵 = 'minecraft:sunflower'
    紫丁香 = 'minecraft:lilac'
    玫瑰丛 = 'minecraft:rose_bush'
    牡丹花 = 'minecraft:peony'
    芒草 = 'minecraft:tall_grass'
    大型蕨类 = 'minecraft:large_fern'
    白色玻璃 = 'minecraft:white_stained_glass'
    橙色玻璃 = 'minecraft:orange_stained_glass'
    洋红色玻璃 = 'minecraft:magenta_stained_glass'
    浅蓝色玻璃 = 'minecraft:light_blue_stained_glass'
    黄色玻璃 = 'minecraft:yellow_stained_glass'
    浅绿色玻璃 = 'minecraft:lime_stained_glass'
    粉红色玻璃 = 'minecraft:pink_stained_glass'
    灰色玻璃 = 'minecraft:gray_stained_glass'
    浅灰色玻璃 = 'minecraft:light_gray_stained_glass'
    青色玻璃 = 'minecraft:cyan_stained_glass'
    紫色玻璃 = 'minecraft:purple_stained_glass'
    蓝色玻璃 = 'minecraft:blue_stained_glass'
    棕色玻璃 = 'minecraft:brown_stained_glass'
    绿色玻璃 = 'minecraft:green_stained_glass'
    红色玻璃 = 'minecraft:red_stained_glass'
    黑色玻璃 = 'minecraft:black_stained_glass'
    白色玻璃片 = 'minecraft:white_stained_glass_pane'
    橙色玻璃片 = 'minecraft:orange_stained_glass_pane'
    洋红色玻璃片 = 'minecraft:magenta_stained_glass_pane'
    浅蓝色玻璃片 = 'minecraft:light_blue_stained_glass_pane'
    黄色玻璃片 = 'minecraft:yellow_stained_glass_pane'
    浅绿色玻璃片 = 'minecraft:lime_stained_glass_pane'
    粉红色玻璃片 = 'minecraft:pink_stained_glass_pane'
    灰色玻璃片 = 'minecraft:gray_stained_glass_pane'
    浅灰色玻璃片 = 'minecraft:light_gray_stained_glass_pane'
    青色玻璃片 = 'minecraft:cyan_stained_glass_pane'
    紫色玻璃片 = 'minecraft:purple_stained_glass_pane'
    蓝色玻璃片 = 'minecraft:blue_stained_glass_pane'
    棕色玻璃片 = 'minecraft:brown_stained_glass_pane'
    绿色玻璃片 = 'minecraft:green_stained_glass_pane'
    红色玻璃片 = 'minecraft:red_stained_glass_pane'
    黑色玻璃片 = 'minecraft:black_stained_glass_pane'
    海晶石 = 'minecraft:prismarine'
    海磷石砖 = 'minecraft:prismarine_bricks'
    暗海磷石 = 'minecraft:dark_prismarine'
    海晶石楼梯 = 'minecraft:prismarine_stairs'
    海磷石砖阶梯 = 'minecraft:prismarine_brick_stairs'
    暗海晶石楼梯 = 'minecraft:dark_prismarine_stairs'
    海灯笼 = 'minecraft:sea_lantern'
    红砂岩 = 'minecraft:red_sandstone'
    浮雕红砂岩 = 'minecraft:chiseled_red_sandstone'
    切制红砂岩 = 'minecraft:cut_red_sandstone'
    红砂岩楼梯 = 'minecraft:red_sandstone_stairs'
    循环型命令方块 = 'minecraft:repeating_command_block'
    连锁型命令方块 = 'minecraft:chain_command_block'
    岩浆块 = 'minecraft:magma_block'
    下界疣块 = 'minecraft:nether_wart_block'
    诡异疣块 = 'minecraft:warped_wart_block'
    红色下界砖 = 'minecraft:red_nether_bricks'
    骨块 = 'minecraft:bone_block'
    结构空位 = 'minecraft:structure_void'
    潜影盒 = 'minecraft:shulker_box'
    白色潜影盒 = 'minecraft:white_shulker_box'
    橙色潜影盒 = 'minecraft:orange_shulker_box'
    洋红色潜影盒 = 'minecraft:magenta_shulker_box'
    浅蓝色潜影盒 = 'minecraft:light_blue_shulker_box'
    黄色潜影盒 = 'minecraft:yellow_shulker_box'
    浅绿色潜影盒 = 'minecraft:lime_shulker_box'
    粉红色潜影盒 = 'minecraft:pink_shulker_box'
    灰色潜影盒 = 'minecraft:gray_shulker_box'
    浅灰色潜影盒 = 'minecraft:light_gray_shulker_box'
    青色潜影盒 = 'minecraft:cyan_shulker_box'
    紫色潜影盒 = 'minecraft:purple_shulker_box'
    蓝色潜影盒 = 'minecraft:blue_shulker_box'
    棕色潜影盒 = 'minecraft:brown_shulker_box'
    绿色潜影盒 = 'minecraft:green_shulker_box'
    红色潜影盒 = 'minecraft:red_shulker_box'
    黑色潜影盒 = 'minecraft:black_shulker_box'
    白色带釉陶瓦 = 'minecraft:white_glazed_terracotta'
    橙色带釉陶瓦 = 'minecraft:orange_glazed_terracotta'
    品红色带釉陶瓦 = 'minecraft:magenta_glazed_terracotta'
    淡蓝色带釉陶瓦 = 'minecraft:light_blue_glazed_terracotta'
    黄色带釉陶瓦 = 'minecraft:yellow_glazed_terracotta'
    黄绿色带釉陶瓦 = 'minecraft:lime_glazed_terracotta'
    粉红色带釉陶瓦 = 'minecraft:pink_glazed_terracotta'
    灰色带釉陶瓦 = 'minecraft:gray_glazed_terracotta'
    浅灰色釉陶 = 'minecraft:light_gray_glazed_terracotta'
    青色带釉陶瓦 = 'minecraft:cyan_glazed_terracotta'
    紫色带釉陶瓦 = 'minecraft:purple_glazed_terracotta'
    蓝色带釉陶瓦 = 'minecraft:blue_glazed_terracotta'
    棕色带釉陶瓦 = 'minecraft:brown_glazed_terracotta'
    绿色带釉陶瓦 = 'minecraft:green_glazed_terracotta'
    红色带釉陶瓦 = 'minecraft:red_glazed_terracotta'
    黑色带釉陶瓦 = 'minecraft:black_glazed_terracotta'
    白色混凝土 = 'minecraft:white_concrete'
    橙色混凝土 = 'minecraft:orange_concrete'
    洋红色混凝土 = 'minecraft:magenta_concrete'
    浅蓝色混凝土 = 'minecraft:light_blue_concrete'
    黄色混凝土 = 'minecraft:yellow_concrete'
    浅绿色混凝土 = 'minecraft:lime_concrete'
    粉红色混凝土 = 'minecraft:pink_concrete'
    灰色混凝土 = 'minecraft:gray_concrete'
    浅灰色混凝土 = 'minecraft:light_gray_concrete'
    青色混凝土 = 'minecraft:cyan_concrete'
    紫色混凝土 = 'minecraft:purple_concrete'
    蓝色混凝土 = 'minecraft:blue_concrete'
    棕色混凝土 = 'minecraft:brown_concrete'
    绿色混凝土 = 'minecraft:green_concrete'
    红色混凝土 = 'minecraft:red_concrete'
    黑色混凝土 = 'minecraft:black_concrete'
    白色混凝土粉末 = 'minecraft:white_concrete_powder'
    橙色混凝土粉末 = 'minecraft:orange_concrete_powder'
    洋红色混凝土粉末 = 'minecraft:magenta_concrete_powder'
    浅蓝色混凝土粉末 = 'minecraft:light_blue_concrete_powder'
    黄色混凝土粉末 = 'minecraft:yellow_concrete_powder'
    浅绿色混凝土粉末 = 'minecraft:lime_concrete_powder'
    粉红色混凝土粉末 = 'minecraft:pink_concrete_powder'
    灰色混凝土粉末 = 'minecraft:gray_concrete_powder'
    浅灰色混凝土粉末 = 'minecraft:light_gray_concrete_powder'
    青色混凝土粉末 = 'minecraft:cyan_concrete_powder'
    紫色混凝土粉末 = 'minecraft:purple_concrete_powder'
    蓝色混凝土粉末 = 'minecraft:blue_concrete_powder'
    棕色混凝土粉末 = 'minecraft:brown_concrete_powder'
    绿色混凝土粉末 = 'minecraft:green_concrete_powder'
    红色混凝土粉末 = 'minecraft:red_concrete_powder'
    黑色混凝土粉末 = 'minecraft:black_concrete_powder'
    海龟蛋 = 'minecraft:turtle_egg'
    死亡的管珊瑚方块 = 'minecraft:dead_tube_coral_block'
    死亡的脑珊瑚方块 = 'minecraft:dead_brain_coral_block'
    死亡的气泡珊瑚方块 = 'minecraft:dead_bubble_coral_block'
    死亡的火珊瑚方块 = 'minecraft:dead_fire_coral_block'
    死亡的角珊瑚方块 = 'minecraft:dead_horn_coral_block'
    管珊瑚方块 = 'minecraft:tube_coral_block'
    脑珊瑚方块 = 'minecraft:brain_coral_block'
    气泡珊瑚方块 = 'minecraft:bubble_coral_block'
    火珊瑚方块 = 'minecraft:fire_coral_block'
    角珊瑚方块 = 'minecraft:horn_coral_block'
    管珊瑚 = 'minecraft:tube_coral'
    脑珊瑚 = 'minecraft:brain_coral'
    气泡珊瑚 = 'minecraft:bubble_coral'
    火珊瑚 = 'minecraft:fire_coral'
    角珊瑚 = 'minecraft:horn_coral'
    死亡的脑珊瑚 = 'minecraft:dead_brain_coral'
    死亡的气泡珊瑚 = 'minecraft:dead_bubble_coral'
    死亡的火珊瑚 = 'minecraft:dead_fire_coral'
    死亡的角珊瑚 = 'minecraft:dead_horn_coral'
    死亡的管珊瑚 = 'minecraft:dead_tube_coral'
    扇状管珊瑚 = 'minecraft:tube_coral_fan'
    扇状脑珊瑚 = 'minecraft:brain_coral_fan'
    扇状气泡珊瑚 = 'minecraft:bubble_coral_fan'
    扇状火珊瑚 = 'minecraft:fire_coral_fan'
    扇状角珊瑚 = 'minecraft:horn_coral_fan'
    死亡的扇状管珊瑚 = 'minecraft:dead_tube_coral_fan'
    死亡的扇状脑珊瑚 = 'minecraft:dead_brain_coral_fan'
    死亡的扇状气泡珊瑚 = 'minecraft:dead_bubble_coral_fan'
    死亡的扇状火珊瑚 = 'minecraft:dead_fire_coral_fan'
    死亡的扇状角珊瑚 = 'minecraft:dead_horn_coral_fan'
    蓝冰 = 'minecraft:blue_ice'
    潮涌核心 = 'minecraft:conduit'
    磨制花岗岩楼梯 = 'minecraft:polished_granite_stairs'
    平滑红砂岩楼梯 = 'minecraft:smooth_red_sandstone_stairs'
    苔石砖楼梯 = 'minecraft:mossy_stone_brick_stairs'
    磨制闪长岩楼梯 = 'minecraft:polished_diorite_stairs'
    苔石楼梯 = 'minecraft:mossy_cobblestone_stairs'
    末地石砖阶梯 = 'minecraft:end_stone_brick_stairs'
    圆石楼梯 = 'minecraft:stone_stairs'
    平滑砂岩楼梯 = 'minecraft:smooth_sandstone_stairs'
    平滑石英楼梯 = 'minecraft:smooth_quartz_stairs'
    花岗岩楼梯 = 'minecraft:granite_stairs'
    安山岩楼梯 = 'minecraft:andesite_stairs'
    红色下界砖楼梯 = 'minecraft:red_nether_brick_stairs'
    磨制安山岩楼梯 = 'minecraft:polished_andesite_stairs'
    闪长岩楼梯 = 'minecraft:diorite_stairs'
    碎深板岩阶梯 = 'minecraft:cobbled_deepslate_stairs'
    抛光深板岩阶梯 = 'minecraft:polished_deepslate_stairs'
    深板岩砖阶梯 = 'minecraft:deepslate_brick_stairs'
    深板岩砖瓦阶梯 = 'minecraft:deepslate_tile_stairs'
    抛光花岗岩台阶 = 'minecraft:polished_granite_slab'
    平滑红砂岩台阶 = 'minecraft:smooth_red_sandstone_slab'
    青苔石砖台阶 = 'minecraft:mossy_stone_brick_slab'
    抛光闪长岩台阶 = 'minecraft:polished_diorite_slab'
    青苔圆石台阶 = 'minecraft:mossy_cobblestone_slab'
    末地石砖台阶 = 'minecraft:end_stone_brick_slab'
    平滑砂岩台阶 = 'minecraft:smooth_sandstone_slab'
    平滑石英台阶 = 'minecraft:smooth_quartz_slab'
    花岗岩台阶 = 'minecraft:granite_slab'
    安山岩台阶 = 'minecraft:andesite_slab'
    红色下界砖台阶 = 'minecraft:red_nether_brick_slab'
    抛光安山岩台阶 = 'minecraft:polished_andesite_slab'
    闪长岩台阶 = 'minecraft:diorite_slab'
    碎深板岩台阶 = 'minecraft:cobbled_deepslate_slab'
    抛光深板岩台阶 = 'minecraft:polished_deepslate_slab'
    深板岩砖台阶 = 'minecraft:deepslate_brick_slab'
    深板岩砖瓦台阶 = 'minecraft:deepslate_tile_slab'
    脚手架 = 'minecraft:scaffolding'
    红石粉 = 'minecraft:redstone'
    红石火把 = 'minecraft:redstone_torch'
    红石块 = 'minecraft:redstone_block'
    红石中继器 = 'minecraft:repeater'
    红石比较器 = 'minecraft:comparator'
    活塞 = 'minecraft:piston'
    黏性活塞 = 'minecraft:sticky_piston'
    史莱姆方块 = 'minecraft:slime_block'
    蜂蜜块 = 'minecraft:honey_block'
    侦测器 = 'minecraft:observer'
    漏斗 = 'minecraft:hopper'
    发射器 = 'minecraft:dispenser'
    投掷器 = 'minecraft:dropper'
    讲台 = 'minecraft:lectern'
    标靶 = 'minecraft:target'
    拉杆 = 'minecraft:lever'
    避雷针 = 'minecraft:lightning_rod'
    阳光探测器 = 'minecraft:daylight_detector'
    伏聆振测器 = 'minecraft:sculk_sensor'
    绊线钩 = 'minecraft:tripwire_hook'
    陷阱箱 = 'minecraft:trapped_chest'
    TNT = 'minecraft:tnt'
    红石灯未开启 = 'minecraft:redstone_lamp'
    音阶盒 = 'minecraft:note_block'
    石质按钮 = 'minecraft:stone_button'
    磨制黑石按钮 = 'minecraft:polished_blackstone_button'
    橡木按钮 = 'minecraft:oak_button'
    云杉木按钮 = 'minecraft:spruce_button'
    白桦木按钮 = 'minecraft:birch_button'
    丛林木按钮 = 'minecraft:jungle_button'
    金合欢木按钮 = 'minecraft:acacia_button'
    深色橡木按钮 = 'minecraft:dark_oak_button'
    绯红木按钮 = 'minecraft:crimson_button'
    诡异木按钮 = 'minecraft:warped_button'
    石质压力板 = 'minecraft:stone_pressure_plate'
    磨制黑石压力板 = 'minecraft:polished_blackstone_pressure_plate'
    测重压力板轻质 = 'minecraft:light_weighted_pressure_plate'
    测重压力板重质 = 'minecraft:heavy_weighted_pressure_plate'
    橡木压力板 = 'minecraft:oak_pressure_plate'
    云杉木压力板 = 'minecraft:spruce_pressure_plate'
    白桦木压力板 = 'minecraft:birch_pressure_plate'
    丛林木压力板 = 'minecraft:jungle_pressure_plate'
    金合欢木压力板 = 'minecraft:acacia_pressure_plate'
    深色橡木压力板 = 'minecraft:dark_oak_pressure_plate'
    绯红木压力板 = 'minecraft:crimson_pressure_plate'
    诡异木压力板 = 'minecraft:warped_pressure_plate'
    铁门 = 'minecraft:iron_door'
    橡木门 = 'minecraft:oak_door'
    云杉木门 = 'minecraft:spruce_door'
    白桦木门 = 'minecraft:birch_door'
    丛林木门 = 'minecraft:jungle_door'
    金合欢木门 = 'minecraft:acacia_door'
    深色橡木门 = 'minecraft:dark_oak_door'
    绯红木门 = 'minecraft:crimson_door'
    诡异木门 = 'minecraft:warped_door'
    铁活板门 = 'minecraft:iron_trapdoor'
    橡木地板门 = 'minecraft:oak_trapdoor'
    云杉木活板门 = 'minecraft:spruce_trapdoor'
    白桦木活板门 = 'minecraft:birch_trapdoor'
    丛林木活板门 = 'minecraft:jungle_trapdoor'
    金合欢木活板门 = 'minecraft:acacia_trapdoor'
    深色橡木活板门 = 'minecraft:dark_oak_trapdoor'
    绯红木活板门 = 'minecraft:crimson_trapdoor'
    诡异木活板门 = 'minecraft:warped_trapdoor'
    橡木栅栏门 = 'minecraft:oak_fence_gate'
    云杉木栅栏门 = 'minecraft:spruce_fence_gate'
    白桦木栅栏门 = 'minecraft:birch_fence_gate'
    丛林木栅栏门 = 'minecraft:jungle_fence_gate'
    金合欢木栅栏门 = 'minecraft:acacia_fence_gate'
    深色橡木栅栏门 = 'minecraft:dark_oak_fence_gate'
    绯红木栅栏门 = 'minecraft:crimson_fence_gate'
    诡异木栅栏门 = 'minecraft:warped_fence_gate'
    动力铁轨 = 'minecraft:powered_rail'
    探测铁轨 = 'minecraft:detector_rail'
    铁轨 = 'minecraft:rail'
    激活铁轨 = 'minecraft:activator_rail'
    鞍 = 'minecraft:saddle'
    矿车 = 'minecraft:minecart'
    运输矿车 = 'minecraft:chest_minecart'
    熔炉矿车 = 'minecraft:furnace_minecart'
    TNT矿车 = 'minecraft:tnt_minecart'
    漏斗矿车 = 'minecraft:hopper_minecart'
    胡萝卜钓竿 = 'minecraft:carrot_on_a_stick'
    诡异菌钓竿 = 'minecraft:warped_fungus_on_a_stick'
    鞘翅 = 'minecraft:elytra'
    橡木船 = 'minecraft:oak_boat'
    杉木船 = 'minecraft:spruce_boat'
    桦木船 = 'minecraft:birch_boat'
    丛林木船 = 'minecraft:jungle_boat'
    金合欢木船 = 'minecraft:acacia_boat'
    黑橡木船 = 'minecraft:dark_oak_boat'
    结构方块 = 'minecraft:structure_block'
    拼图方块 = 'minecraft:jigsaw'
    海龟壳 = 'minecraft:turtle_helmet'
    鳞甲 = 'minecraft:scute'
    打火石 = 'minecraft:flint_and_steel'
    苹果 = 'minecraft:apple'
    弓 = 'minecraft:bow'
    箭 = 'minecraft:arrow'
    煤炭 = 'minecraft:coal'
    木炭 = 'minecraft:charcoal'
    钻石 = 'minecraft:diamond'
    绿宝石 = 'minecraft:emerald'
    青金石 = 'minecraft:lapis_lazuli'
    下界石英 = 'minecraft:quartz'
    紫水晶碎片 = 'minecraft:amethyst_shard'
    铁原矿 = 'minecraft:raw_iron'
    铁锭 = 'minecraft:iron_ingot'
    铜原矿 = 'minecraft:raw_copper'
    铜锭 = 'minecraft:copper_ingot'
    金原矿 = 'minecraft:raw_gold'
    金锭 = 'minecraft:gold_ingot'
    下界合金锭 = 'minecraft:netherite_ingot'
    下界合金碎片 = 'minecraft:netherite_scrap'
    木剑 = 'minecraft:wooden_sword'
    木锹 = 'minecraft:wooden_shovel'
    木镐 = 'minecraft:wooden_pickaxe'
    木斧 = 'minecraft:wooden_axe'
    木锄 = 'minecraft:wooden_hoe'
    石剑 = 'minecraft:stone_sword'
    石锹 = 'minecraft:stone_shovel'
    石镐 = 'minecraft:stone_pickaxe'
    石斧 = 'minecraft:stone_axe'
    石锄 = 'minecraft:stone_hoe'
    金剑 = 'minecraft:golden_sword'
    金锹 = 'minecraft:golden_shovel'
    金镐 = 'minecraft:golden_pickaxe'
    金斧 = 'minecraft:golden_axe'
    金锄 = 'minecraft:golden_hoe'
    铁剑 = 'minecraft:iron_sword'
    铁锹 = 'minecraft:iron_shovel'
    铁镐 = 'minecraft:iron_pickaxe'
    铁斧 = 'minecraft:iron_axe'
    铁锄 = 'minecraft:iron_hoe'
    钻石剑 = 'minecraft:diamond_sword'
    钻石锹 = 'minecraft:diamond_shovel'
    钻石镐 = 'minecraft:diamond_pickaxe'
    钻石斧 = 'minecraft:diamond_axe'
    钻石锄 = 'minecraft:diamond_hoe'
    下界合金剑 = 'minecraft:netherite_sword'
    下界合金锹 = 'minecraft:netherite_shovel'
    下界合金镐 = 'minecraft:netherite_pickaxe'
    下界合金斧 = 'minecraft:netherite_axe'
    下界合金锄 = 'minecraft:netherite_hoe'
    木棍 = 'minecraft:stick'
    碗 = 'minecraft:bowl'
    蘑菇煲 = 'minecraft:mushroom_stew'
    线 = 'minecraft:string'
    羽毛 = 'minecraft:feather'
    火药 = 'minecraft:gunpowder'
    种子 = 'minecraft:wheat_seeds'
    小麦 = 'minecraft:wheat'
    面包 = 'minecraft:bread'
    皮革帽子 = 'minecraft:leather_helmet'
    皮革外套 = 'minecraft:leather_chestplate'
    皮革裤子 = 'minecraft:leather_leggings'
    皮革靴子 = 'minecraft:leather_boots'
    锁链头盔 = 'minecraft:chainmail_helmet'
    锁链胸甲 = 'minecraft:chainmail_chestplate'
    锁链护腿 = 'minecraft:chainmail_leggings'
    锁链靴子 = 'minecraft:chainmail_boots'
    铁头盔 = 'minecraft:iron_helmet'
    铁胸甲 = 'minecraft:iron_chestplate'
    铁护腿 = 'minecraft:iron_leggings'
    铁靴子 = 'minecraft:iron_boots'
    钻石头盔 = 'minecraft:diamond_helmet'
    钻石胸甲 = 'minecraft:diamond_chestplate'
    钻石护腿 = 'minecraft:diamond_leggings'
    钻石靴子 = 'minecraft:diamond_boots'
    金头盔 = 'minecraft:golden_helmet'
    金胸甲 = 'minecraft:golden_chestplate'
    金护腿 = 'minecraft:golden_leggings'
    金靴子 = 'minecraft:golden_boots'
    下界合金头盔 = 'minecraft:netherite_helmet'
    下界合金胸甲 = 'minecraft:netherite_chestplate'
    下界合金护腿 = 'minecraft:netherite_leggings'
    下界合金靴子 = 'minecraft:netherite_boots'
    燧石 = 'minecraft:flint'
    生猪排 = 'minecraft:porkchop'
    熟猪排 = 'minecraft:cooked_porkchop'
    画 = 'minecraft:painting'
    金苹果 = 'minecraft:golden_apple'
    附魔金苹果 = 'minecraft:enchanted_golden_apple'
    橡木告示牌 = 'minecraft:oak_sign'
    云杉木告示牌 = 'minecraft:spruce_sign'
    白桦木告示牌 = 'minecraft:birch_sign'
    丛林木告示牌 = 'minecraft:jungle_sign'
    金合欢木告示牌 = 'minecraft:acacia_sign'
    黑橡木告示牌 = 'minecraft:dark_oak_sign'
    绯红木告示牌 = 'minecraft:crimson_sign'
    诡异木告示牌 = 'minecraft:warped_sign'
    桶 = 'minecraft:bucket'
    水桶 = 'minecraft:water_bucket'
    熔岩桶 = 'minecraft:lava_bucket'
    粉雪桶 = 'minecraft:powder_snow_bucket'
    雪球 = 'minecraft:snowball'
    皮革 = 'minecraft:leather'
    鲜奶桶 = 'minecraft:milk_bucket'
    河豚桶 = 'minecraft:pufferfish_bucket'
    鲑鱼桶 = 'minecraft:salmon_bucket'
    鳕鱼桶 = 'minecraft:cod_bucket'
    热带鱼桶 = 'minecraft:tropical_fish_bucket'
    六角恐龙桶 = 'minecraft:axolotl_bucket'
    红砖头 = 'minecraft:brick'
    黏土球 = 'minecraft:clay_ball'
    干海带块 = 'minecraft:dried_kelp_block'
    纸 = 'minecraft:paper'
    书 = 'minecraft:book'
    黏液球 = 'minecraft:slime_ball'
    鸡蛋 = 'minecraft:egg'
    指南针 = 'minecraft:compass'
    束口袋 = 'minecraft:bundle'
    钓鱼竿 = 'minecraft:fishing_rod'
    时钟 = 'minecraft:clock'
    望远镜 = 'minecraft:spyglass'
    荧石粉 = 'minecraft:glowstone_dust'
    生鳕鱼 = 'minecraft:cod'
    生鲑鱼 = 'minecraft:salmon'
    热带鱼 = 'minecraft:tropical_fish'
    河豚 = 'minecraft:pufferfish'
    烤鳕鱼 = 'minecraft:cooked_cod'
    熟鲑鱼 = 'minecraft:cooked_salmon'
    墨囊 = 'minecraft:ink_sac'
    荧光墨囊 = 'minecraft:glow_ink_sac'
    可可豆 = 'minecraft:cocoa_beans'
    白色染料 = 'minecraft:white_dye'
    橙色染料 = 'minecraft:orange_dye'
    洋红色染料 = 'minecraft:magenta_dye'
    浅蓝色染料 = 'minecraft:light_blue_dye'
    黄色染料 = 'minecraft:yellow_dye'
    浅绿色染料 = 'minecraft:lime_dye'
    粉红色染料 = 'minecraft:pink_dye'
    灰色染料 = 'minecraft:gray_dye'
    浅灰色染料 = 'minecraft:light_gray_dye'
    青色染料 = 'minecraft:cyan_dye'
    紫色染料 = 'minecraft:purple_dye'
    蓝色染料 = 'minecraft:blue_dye'
    棕色染料 = 'minecraft:brown_dye'
    绿色染料 = 'minecraft:green_dye'
    红色染料 = 'minecraft:red_dye'
    黑色染料 = 'minecraft:black_dye'
    骨粉 = 'minecraft:bone_meal'
    骨头 = 'minecraft:bone'
    糖 = 'minecraft:sugar'
    蛋糕 = 'minecraft:cake'
    白色床 = 'minecraft:white_bed'
    橙色床 = 'minecraft:orange_bed'
    洋红色床 = 'minecraft:magenta_bed'
    浅蓝色床 = 'minecraft:light_blue_bed'
    黄色床 = 'minecraft:yellow_bed'
    浅绿色床 = 'minecraft:lime_bed'
    粉红色床 = 'minecraft:pink_bed'
    灰色床 = 'minecraft:gray_bed'
    浅灰色床 = 'minecraft:light_gray_bed'
    青色床 = 'minecraft:cyan_bed'
    紫色床 = 'minecraft:purple_bed'
    蓝色床 = 'minecraft:blue_bed'
    棕色床 = 'minecraft:brown_bed'
    绿色床 = 'minecraft:green_bed'
    红色床 = 'minecraft:red_bed'
    黑色床 = 'minecraft:black_bed'
    曲奇 = 'minecraft:cookie'
    地图 = 'minecraft:filled_map'
    剪刀 = 'minecraft:shears'
    西瓜片 = 'minecraft:melon_slice'
    干海带 = 'minecraft:dried_kelp'
    南瓜种子 = 'minecraft:pumpkin_seeds'
    西瓜种子 = 'minecraft:melon_seeds'
    生牛肉 = 'minecraft:beef'
    牛排 = 'minecraft:cooked_beef'
    生鸡肉 = 'minecraft:chicken'
    熟鸡肉 = 'minecraft:cooked_chicken'
    腐肉 = 'minecraft:rotten_flesh'
    末影珍珠 = 'minecraft:ender_pearl'
    烈焰棒 = 'minecraft:blaze_rod'
    恶魂之泪 = 'minecraft:ghast_tear'
    金粒 = 'minecraft:gold_nugget'
    下界疣 = 'minecraft:nether_wart'
    药水 = 'minecraft:potion'
    玻璃瓶 = 'minecraft:glass_bottle'
    蜘蛛眼 = 'minecraft:spider_eye'
    发酵蛛眼 = 'minecraft:fermented_spider_eye'
    烈焰粉 = 'minecraft:blaze_powder'
    岩浆膏 = 'minecraft:magma_cream'
    酿造台 = 'minecraft:brewing_stand'
    炼药锅 = 'minecraft:cauldron'
    末影之眼 = 'minecraft:ender_eye'
    镶金西瓜片 = 'minecraft:glistering_melon_slice'
    六角恐龙刷怪蛋 = 'minecraft:axolotl_spawn_egg'
    蝙蝠刷怪蛋 = 'minecraft:bat_spawn_egg'
    蜜蜂刷怪蛋 = 'minecraft:bee_spawn_egg'
    烈焰使者刷怪蛋 = 'minecraft:blaze_spawn_egg'
    猫刷怪蛋 = 'minecraft:cat_spawn_egg'
    洞穴蜘蛛刷怪蛋 = 'minecraft:cave_spider_spawn_egg'
    鸡刷怪蛋 = 'minecraft:chicken_spawn_egg'
    鳕鱼刷怪蛋 = 'minecraft:cod_spawn_egg'
    牛刷怪蛋 = 'minecraft:cow_spawn_egg'
    苦力怕刷怪蛋 = 'minecraft:creeper_spawn_egg'
    海豚刷怪蛋 = 'minecraft:dolphin_spawn_egg'
    驴子刷怪蛋 = 'minecraft:donkey_spawn_egg'
    沉尸刷怪蛋 = 'minecraft:drowned_spawn_egg'
    远古深海守卫刷怪蛋 = 'minecraft:elder_guardian_spawn_egg'
    末地使者刷怪蛋 = 'minecraft:enderman_spawn_egg'
    末地螨刷怪蛋 = 'minecraft:endermite_spawn_egg'
    唤魔者刷怪蛋 = 'minecraft:evoker_spawn_egg'
    狐狸刷怪蛋 = 'minecraft:fox_spawn_egg'
    下界幽灵刷怪蛋 = 'minecraft:ghast_spawn_egg'
    荧光鱿鱼刷怪蛋 = 'minecraft:glow_squid_spawn_egg'
    山羊刷怪蛋 = 'minecraft:goat_spawn_egg'
    深海守卫刷怪蛋 = 'minecraft:guardian_spawn_egg'
    猪布兽刷怪蛋 = 'minecraft:hoglin_spawn_egg'
    马刷怪蛋 = 'minecraft:horse_spawn_egg'
    尸壳刷怪蛋 = 'minecraft:husk_spawn_egg'
    骆马刷怪蛋 = 'minecraft:llama_spawn_egg'
    岩浆立方怪刷怪蛋 = 'minecraft:magma_cube_spawn_egg'
    哞菇刷怪蛋 = 'minecraft:mooshroom_spawn_egg'
    骡子刷怪蛋 = 'minecraft:mule_spawn_egg'
    山猫刷怪蛋 = 'minecraft:ocelot_spawn_egg'
    猫熊刷怪蛋 = 'minecraft:panda_spawn_egg'
    鹦鹉刷怪蛋 = 'minecraft:parrot_spawn_egg'
    夜魅刷怪蛋 = 'minecraft:phantom_spawn_egg'
    猪刷怪蛋 = 'minecraft:pig_spawn_egg'
    猪布林刷怪蛋 = 'minecraft:piglin_spawn_egg'
    猪布林蛮兵刷怪蛋 = 'minecraft:piglin_brute_spawn_egg'
    掠夺者刷怪蛋 = 'minecraft:pillager_spawn_egg'
    北极熊刷怪蛋 = 'minecraft:polar_bear_spawn_egg'
    河豚刷怪蛋 = 'minecraft:pufferfish_spawn_egg'
    兔子刷怪蛋 = 'minecraft:rabbit_spawn_egg'
    劫毁兽刷怪蛋 = 'minecraft:ravager_spawn_egg'
    鲑鱼刷怪蛋 = 'minecraft:salmon_spawn_egg'
    绵羊刷怪蛋 = 'minecraft:sheep_spawn_egg'
    潜影贝刷怪蛋 = 'minecraft:shulker_spawn_egg'
    蠹鱼刷怪蛋 = 'minecraft:silverfish_spawn_egg'
    骷髅刷怪蛋 = 'minecraft:skeleton_spawn_egg'
    骷髅马刷怪蛋 = 'minecraft:skeleton_horse_spawn_egg'
    史莱姆刷怪蛋 = 'minecraft:slime_spawn_egg'
    蜘蛛刷怪蛋 = 'minecraft:spider_spawn_egg'
    鱿鱼刷怪蛋 = 'minecraft:squid_spawn_egg'
    流髑刷怪蛋 = 'minecraft:stray_spawn_egg'
    炽足兽刷怪蛋 = 'minecraft:strider_spawn_egg'
    商驼刷怪蛋 = 'minecraft:trader_llama_spawn_egg'
    热带鱼刷怪蛋 = 'minecraft:tropical_fish_spawn_egg'
    海龟刷怪蛋 = 'minecraft:turtle_spawn_egg'
    恼鬼刷怪蛋 = 'minecraft:vex_spawn_egg'
    村民刷怪蛋 = 'minecraft:villager_spawn_egg'
    卫道士刷怪蛋 = 'minecraft:vindicator_spawn_egg'
    流浪商人刷怪蛋 = 'minecraft:wandering_trader_spawn_egg'
    女巫刷怪蛋 = 'minecraft:witch_spawn_egg'
    凋零骷髅刷怪蛋 = 'minecraft:wither_skeleton_spawn_egg'
    狼刷怪蛋 = 'minecraft:wolf_spawn_egg'
    猪尸兽刷怪蛋 = 'minecraft:zoglin_spawn_egg'
    僵尸刷怪蛋 = 'minecraft:zombie_spawn_egg'
    僵尸马刷怪蛋 = 'minecraft:zombie_horse_spawn_egg'
    僵尸村民刷怪蛋 = 'minecraft:zombie_villager_spawn_egg'
    僵尸猪人刷怪蛋 = 'minecraft:zombified_piglin_spawn_egg'
    附魔之瓶 = 'minecraft:experience_bottle'
    火焰弹 = 'minecraft:fire_charge'
    书与笔 = 'minecraft:writable_book'
    成书 = 'minecraft:written_book'
    物品展示框 = 'minecraft:item_frame'
    荧光物品展示框 = 'minecraft:glow_item_frame'
    花盆 = 'minecraft:flower_pot'
    胡萝卜 = 'minecraft:carrot'
    马铃薯 = 'minecraft:potato'
    烤马铃薯 = 'minecraft:baked_potato'
    毒马铃薯 = 'minecraft:poisonous_potato'
    空白地图 = 'minecraft:map'
    金胡萝卜 = 'minecraft:golden_carrot'
    骷髅头颅 = 'minecraft:skeleton_skull'
    凋零骷髅头颅 = 'minecraft:wither_skeleton_skull'
    玩家头颅 = 'minecraft:player_head'
    僵尸头颅 = 'minecraft:zombie_head'
    苦力怕头颅 = 'minecraft:creeper_head'
    龙首 = 'minecraft:dragon_head'
    下界之星 = 'minecraft:nether_star'
    南瓜派 = 'minecraft:pumpkin_pie'
    烟火 = 'minecraft:firework_rocket'
    火药球 = 'minecraft:firework_star'
    附魔书 = 'minecraft:enchanted_book'
    下界砖头 = 'minecraft:nether_brick'
    海晶碎片 = 'minecraft:prismarine_shard'
    海晶砂粒 = 'minecraft:prismarine_crystals'
    生兔肉 = 'minecraft:rabbit'
    熟兔肉 = 'minecraft:cooked_rabbit'
    兔肉煲 = 'minecraft:rabbit_stew'
    兔子脚 = 'minecraft:rabbit_foot'
    兔子皮 = 'minecraft:rabbit_hide'
    盔甲架 = 'minecraft:armor_stand'
    铁制马铠 = 'minecraft:iron_horse_armor'
    黄金制马铠 = 'minecraft:golden_horse_armor'
    钻石制马铠 = 'minecraft:diamond_horse_armor'
    皮革制马铠 = 'minecraft:leather_horse_armor'
    拴绳 = 'minecraft:lead'
    命名牌 = 'minecraft:name_tag'
    命令方块矿车 = 'minecraft:command_block_minecart'
    生羊肉 = 'minecraft:mutton'
    烤羊肉 = 'minecraft:cooked_mutton'
    白色旗帜 = 'minecraft:white_banner'
    橙色旗帜 = 'minecraft:orange_banner'
    洋红色旗帜 = 'minecraft:magenta_banner'
    浅蓝色旗帜 = 'minecraft:light_blue_banner'
    黄色旗帜 = 'minecraft:yellow_banner'
    浅绿色旗帜 = 'minecraft:lime_banner'
    粉红色旗帜 = 'minecraft:pink_banner'
    灰色旗帜 = 'minecraft:gray_banner'
    浅灰色旗帜 = 'minecraft:light_gray_banner'
    青色旗帜 = 'minecraft:cyan_banner'
    紫色旗帜 = 'minecraft:purple_banner'
    蓝色旗帜 = 'minecraft:blue_banner'
    棕色旗帜 = 'minecraft:brown_banner'
    绿色旗帜 = 'minecraft:green_banner'
    红色旗帜 = 'minecraft:red_banner'
    黑色旗帜 = 'minecraft:black_banner'
    末影水晶 = 'minecraft:end_crystal'
    紫颂果 = 'minecraft:chorus_fruit'
    爆开的歌莱果 = 'minecraft:popped_chorus_fruit'
    甜菜根 = 'minecraft:beetroot'
    甜菜种子 = 'minecraft:beetroot_seeds'
    甜菜汤 = 'minecraft:beetroot_soup'
    龙息 = 'minecraft:dragon_breath'
    喷溅药水 = 'minecraft:splash_potion'
    追迹之箭 = 'minecraft:spectral_arrow'
    药水箭 = 'minecraft:tipped_arrow'
    滞留药水 = 'minecraft:lingering_potion'
    盾牌 = 'minecraft:shield'
    不死图腾 = 'minecraft:totem_of_undying'
    潜影壳 = 'minecraft:shulker_shell'
    铁粒 = 'minecraft:iron_nugget'
    知识之书 = 'minecraft:knowledge_book'
    除错棒 = 'minecraft:debug_stick'
    唱片 = 'minecraft:music_disc_13'
    三叉戟 = 'minecraft:trident'
    幻翼膜 = 'minecraft:phantom_membrane'
    鹦鹉螺壳 = 'minecraft:nautilus_shell'
    海洋之心 = 'minecraft:heart_of_the_sea'
    弩 = 'minecraft:crossbow'
    迷之炖菜 = 'minecraft:suspicious_stew'
    织布机 = 'minecraft:loom'
    旗帜图案 = 'minecraft:flower_banner_pattern'
    堆肥桶 = 'minecraft:composter'
    木桶 = 'minecraft:barrel'
    烟熏炉 = 'minecraft:smoker'
    高炉 = 'minecraft:blast_furnace'
    制图台 = 'minecraft:cartography_table'
    制箭台 = 'minecraft:fletching_table'
    砂轮 = 'minecraft:grindstone'
    锻造台 = 'minecraft:smithing_table'
    切石机 = 'minecraft:stonecutter'
    钟 = 'minecraft:bell'
    灯笼 = 'minecraft:lantern'
    灵魂灯笼 = 'minecraft:soul_lantern'
    甜浆果 = 'minecraft:sweet_berries'
    荧光莓 = 'minecraft:glow_berries'
    营火 = 'minecraft:campfire'
    灵魂营火 = 'minecraft:soul_campfire'
    菌光体 = 'minecraft:shroomlight'
    蜜脾 = 'minecraft:honeycomb'
    蜂巢 = 'minecraft:bee_nest'
    蜂箱 = 'minecraft:beehive'
    蜂蜜瓶 = 'minecraft:honey_bottle'
    蜜脾块 = 'minecraft:honeycomb_block'
    磁石 = 'minecraft:lodestone'
    哭泣的黑曜石 = 'minecraft:crying_obsidian'
    黑石 = 'minecraft:blackstone'
    黑石台阶 = 'minecraft:blackstone_slab'
    黑石楼梯 = 'minecraft:blackstone_stairs'
    镶金黑石 = 'minecraft:gilded_blackstone'
    磨制黑石 = 'minecraft:polished_blackstone'
    磨制黑石台阶 = 'minecraft:polished_blackstone_slab'
    磨制黑石楼梯 = 'minecraft:polished_blackstone_stairs'
    錾制磨制黑石 = 'minecraft:chiseled_polished_blackstone'
    磨制黑石砖 = 'minecraft:polished_blackstone_bricks'
    磨制黑石砖台阶 = 'minecraft:polished_blackstone_brick_slab'
    磨制黑石砖楼梯 = 'minecraft:polished_blackstone_brick_stairs'
    裂纹磨制黑石砖 = 'minecraft:cracked_polished_blackstone_bricks'
    重生锚 = 'minecraft:respawn_anchor'
    蜡烛 = 'minecraft:candle'
    白色蜡烛 = 'minecraft:white_candle'
    橙色蜡烛 = 'minecraft:orange_candle'
    洋红色蜡烛 = 'minecraft:magenta_candle'
    浅蓝色蜡烛 = 'minecraft:light_blue_candle'
    黄色蜡烛 = 'minecraft:yellow_candle'
    浅绿色蜡烛 = 'minecraft:lime_candle'
    粉红色蜡烛 = 'minecraft:pink_candle'
    灰色蜡烛 = 'minecraft:gray_candle'
    浅灰色蜡烛 = 'minecraft:light_gray_candle'
    青色蜡烛 = 'minecraft:cyan_candle'
    紫色蜡烛 = 'minecraft:purple_candle'
    蓝色蜡烛 = 'minecraft:blue_candle'
    棕色蜡烛 = 'minecraft:brown_candle'
    绿色蜡烛 = 'minecraft:green_candle'
    红色蜡烛 = 'minecraft:red_candle'
    黑色蜡烛 = 'minecraft:black_candle'
    小型紫水晶芽 = 'minecraft:small_amethyst_bud'
    中型紫水晶芽 = 'minecraft:medium_amethyst_bud'
    大型紫水晶芽 = 'minecraft:large_amethyst_bud'
    紫水晶晶簇 = 'minecraft:amethyst_cluster'
    钟乳石 = 'minecraft:pointed_dripstone'

EnumItem = deepcopy(物品)

class 实体(Enum):
    药水效果云 = 'minecraft:area_effect_cloud'
    盔甲架 = 'minecraft:armor_stand'
    箭 = 'minecraft:arrow'
    六角恐龙 = 'minecraft:axolotl'
    蝙蝠 = 'minecraft:bat'
    蜜蜂 = 'minecraft:bee'
    烈焰使者 = 'minecraft:blaze'
    船 = 'minecraft:boat'
    猫 = 'minecraft:cat'
    洞穴蜘蛛 = 'minecraft:cave_spider'
    生鸡肉 = 'minecraft:chicken'
    鳕鱼 = 'minecraft:cod'
    牛 = 'minecraft:cow'
    苦力怕 = 'minecraft:creeper'
    海豚 = 'minecraft:dolphin'
    驴子 = 'minecraft:donkey'
    龙炎弹 = 'minecraft:dragon_fireball'
    沉尸 = 'minecraft:drowned'
    远古深海守卫 = 'minecraft:elder_guardian'
    末影水晶 = 'minecraft:end_crystal'
    末影龙 = 'minecraft:ender_dragon'
    末地使者 = 'minecraft:enderman'
    末地螨 = 'minecraft:endermite'
    唤魔者 = 'minecraft:evoker'
    唤魔者尖牙 = 'minecraft:evoker_fangs'
    经验球 = 'minecraft:experience_orb'
    末影之眼 = 'minecraft:eye_of_ender'
    掉落的方块 = 'minecraft:falling_block'
    烟火 = 'minecraft:firework_rocket'
    狐狸 = 'minecraft:fox'
    下界幽灵 = 'minecraft:ghast'
    巨人 = 'minecraft:giant'
    荧光物品展示框 = 'minecraft:glow_item_frame'
    荧光鱿鱼 = 'minecraft:glow_squid'
    山羊 = 'minecraft:goat'
    深海守卫 = 'minecraft:guardian'
    猪布兽 = 'minecraft:hoglin'
    马 = 'minecraft:horse'
    尸壳 = 'minecraft:husk'
    幻术师 = 'minecraft:illusioner'
    铁魔像 = 'minecraft:iron_golem'
    物品 = 'minecraft:item'
    物品展示框 = 'minecraft:item_frame'
    火焰弹 = 'minecraft:fireball'
    拴绳 = 'minecraft:leash_knot'
    闪电电流 = 'minecraft:lightning_bolt'
    骆马 = 'minecraft:llama'
    骆马唾液 = 'minecraft:llama_spit'
    岩浆立方怪 = 'minecraft:magma_cube'
    标记 = 'minecraft:marker'
    矿车 = 'minecraft:minecart'
    运输矿车 = 'minecraft:chest_minecart'
    命令方块矿车 = 'minecraft:command_block_minecart'
    熔炉矿车 = 'minecraft:furnace_minecart'
    漏斗矿车 = 'minecraft:hopper_minecart'
    生怪砖矿车 = 'minecraft:spawner_minecart'
    TNT矿车 = 'minecraft:tnt_minecart'
    骡子 = 'minecraft:mule'
    哞菇 = 'minecraft:mooshroom'
    山猫 = 'minecraft:ocelot'
    画 = 'minecraft:painting'
    猫熊 = 'minecraft:panda'
    鹦鹉 = 'minecraft:parrot'
    夜魅 = 'minecraft:phantom'
    猪 = 'minecraft:pig'
    猪布林 = 'minecraft:piglin'
    猪布林蛮兵 = 'minecraft:piglin_brute'
    掠夺者 = 'minecraft:pillager'
    北极熊 = 'minecraft:polar_bear'
    TNT = 'minecraft:tnt'
    河豚 = 'minecraft:pufferfish'
    生兔肉 = 'minecraft:rabbit'
    劫毁兽 = 'minecraft:ravager'
    生鲑鱼 = 'minecraft:salmon'
    绵羊 = 'minecraft:sheep'
    潜影贝 = 'minecraft:shulker'
    潜影贝导弹 = 'minecraft:shulker_bullet'
    蠹鱼 = 'minecraft:silverfish'
    骷髅 = 'minecraft:skeleton'
    骷髅马 = 'minecraft:skeleton_horse'
    黏液块 = 'minecraft:slime'
    小火球 = 'minecraft:small_fireball'
    雪人 = 'minecraft:snow_golem'
    雪球 = 'minecraft:snowball'
    追迹之箭 = 'minecraft:spectral_arrow'
    蜘蛛 = 'minecraft:spider'
    鱿鱼 = 'minecraft:squid'
    流髑 = 'minecraft:stray'
    炽足兽 = 'minecraft:strider'
    鸡蛋 = 'minecraft:egg'
    末影珍珠 = 'minecraft:ender_pearl'
    附魔之瓶 = 'minecraft:experience_bottle'
    药水 = 'minecraft:potion'
    三叉戟 = 'minecraft:trident'
    商驼 = 'minecraft:trader_llama'
    热带鱼 = 'minecraft:tropical_fish'
    海龟 = 'minecraft:turtle'
    恼鬼 = 'minecraft:vex'
    村民 = 'minecraft:villager'
    卫道士 = 'minecraft:vindicator'
    流浪商人 = 'minecraft:wandering_trader'
    女巫 = 'minecraft:witch'
    凋零怪 = 'minecraft:wither'
    凋零骷髅 = 'minecraft:wither_skeleton'
    凋零头颅 = 'minecraft:wither_skull'
    狼 = 'minecraft:wolf'
    猪尸兽 = 'minecraft:zoglin'
    僵尸 = 'minecraft:zombie'
    僵尸马 = 'minecraft:zombie_horse'
    僵尸村民 = 'minecraft:zombie_villager'
    僵尸猪人 = 'minecraft:zombified_piglin'
    玩家 = 'minecraft:player'

EnumEntity = deepcopy(实体)

particle_list = ['minecraft:ambient_entity_effect',
'minecraft:angry_villager',
'minecraft:block',
'minecraft:block_marker',
'minecraft:bubble',
'minecraft:cloud',
'minecraft:crit',
'minecraft:damage_indicator',
'minecraft:dragon_breath',
'minecraft:dripping_lava',
'minecraft:falling_lava',
'minecraft:landing_lava',
'minecraft:dripping_water',
'minecraft:falling_water',
'minecraft:dust',
'minecraft:dust_color_transition',
'minecraft:effect',
'minecraft:elder_guardian',
'minecraft:enchanted_hit',
'minecraft:enchant',
'minecraft:end_rod',
'minecraft:entity_effect',
'minecraft:explosion_emitter',
'minecraft:explosion',
'minecraft:falling_dust',
'minecraft:firework',
'minecraft:fishing',
'minecraft:flame',
'minecraft:soul_fire_flame',
'minecraft:soul',
'minecraft:flash',
'minecraft:happy_villager',
'minecraft:composter',
'minecraft:heart',
'minecraft:instant_effect',
'minecraft:item',
'minecraft:vibration',
'minecraft:item_slime',
'minecraft:item_snowball',
'minecraft:large_smoke',
'minecraft:lava',
'minecraft:mycelium',
'minecraft:note',
'minecraft:poof',
'minecraft:portal',
'minecraft:rain',
'minecraft:smoke',
'minecraft:sneeze',
'minecraft:spit',
'minecraft:squid_ink',
'minecraft:sweep_attack',
'minecraft:totem_of_undying',
'minecraft:underwater',
'minecraft:splash',
'minecraft:witch',
'minecraft:bubble_pop',
'minecraft:current_down',
'minecraft:bubble_column_up',
'minecraft:nautilus',
'minecraft:dolphin',
'minecraft:campfire_cosy_smoke',
'minecraft:campfire_signal_smoke',
'minecraft:dripping_honey',
'minecraft:falling_honey',
'minecraft:landing_honey',
'minecraft:falling_nectar',
'minecraft:falling_spore_blossom',
'minecraft:ash',
'minecraft:crimson_spore',
'minecraft:warped_spore',
'minecraft:spore_blossom_air',
'minecraft:dripping_obsidian_tear',
'minecraft:falling_obsidian_tear',
'minecraft:landing_obsidian_tear',
'minecraft:reverse_portal',
'minecraft:white_ash',
'minecraft:small_flame',
'minecraft:snowflake',
'minecraft:dripping_dripstone_lava',
'minecraft:falling_dripstone_lava',
'minecraft:dripping_dripstone_water',
'minecraft:falling_dripstone_water',
'minecraft:glow_squid_ink',
'minecraft:glow',
'minecraft:wax_on',
'minecraft:wax_off',
'minecraft:electric_spark',
'minecraft:scrape']
